/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __LOCAL_STORAGE_RCU_TASKS_TRACE_BENCH_SKEL_H__
#define __LOCAL_STORAGE_RCU_TASKS_TRACE_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct local_storage_rcu_tasks_trace_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *task_storage;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *get_local;
		struct bpf_program *pregp_step;
		struct bpf_program *postgp;
	} progs;
	struct {
		struct bpf_link *get_local;
		struct bpf_link *pregp_step;
		struct bpf_link *postgp;
	} links;
	struct local_storage_rcu_tasks_trace_bench__bss {
		long hits;
		long current_gp_start;
		bool postgp_seen;
		char __pad0[7];
		long unexpected;
		long gp_times;
		long gp_hits;
	} *bss;

#ifdef __cplusplus
	static inline struct local_storage_rcu_tasks_trace_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct local_storage_rcu_tasks_trace_bench *open_and_load();
	static inline int load(struct local_storage_rcu_tasks_trace_bench *skel);
	static inline int attach(struct local_storage_rcu_tasks_trace_bench *skel);
	static inline void detach(struct local_storage_rcu_tasks_trace_bench *skel);
	static inline void destroy(struct local_storage_rcu_tasks_trace_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
local_storage_rcu_tasks_trace_bench__destroy(struct local_storage_rcu_tasks_trace_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
local_storage_rcu_tasks_trace_bench__create_skeleton(struct local_storage_rcu_tasks_trace_bench *obj);

static inline struct local_storage_rcu_tasks_trace_bench *
local_storage_rcu_tasks_trace_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct local_storage_rcu_tasks_trace_bench *obj;
	int err;

	obj = (struct local_storage_rcu_tasks_trace_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = local_storage_rcu_tasks_trace_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	local_storage_rcu_tasks_trace_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct local_storage_rcu_tasks_trace_bench *
local_storage_rcu_tasks_trace_bench__open(void)
{
	return local_storage_rcu_tasks_trace_bench__open_opts(NULL);
}

static inline int
local_storage_rcu_tasks_trace_bench__load(struct local_storage_rcu_tasks_trace_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct local_storage_rcu_tasks_trace_bench *
local_storage_rcu_tasks_trace_bench__open_and_load(void)
{
	struct local_storage_rcu_tasks_trace_bench *obj;
	int err;

	obj = local_storage_rcu_tasks_trace_bench__open();
	if (!obj)
		return NULL;
	err = local_storage_rcu_tasks_trace_bench__load(obj);
	if (err) {
		local_storage_rcu_tasks_trace_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
local_storage_rcu_tasks_trace_bench__attach(struct local_storage_rcu_tasks_trace_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
local_storage_rcu_tasks_trace_bench__detach(struct local_storage_rcu_tasks_trace_bench *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *local_storage_rcu_tasks_trace_bench__elf_bytes(size_t *sz);

static inline int
local_storage_rcu_tasks_trace_bench__create_skeleton(struct local_storage_rcu_tasks_trace_bench *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "local_storage_rcu_tasks_trace_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "task_storage";
	s->maps[0].map = &obj->maps.task_storage;

	s->maps[1].name = "local_st.bss";
	s->maps[1].map = &obj->maps.bss;
	s->maps[1].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "get_local";
	s->progs[0].prog = &obj->progs.get_local;
	s->progs[0].link = &obj->links.get_local;

	s->progs[1].name = "pregp_step";
	s->progs[1].prog = &obj->progs.pregp_step;
	s->progs[1].link = &obj->links.pregp_step;

	s->progs[2].name = "postgp";
	s->progs[2].prog = &obj->progs.postgp;
	s->progs[2].link = &obj->links.postgp;

	s->data = local_storage_rcu_tasks_trace_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *local_storage_rcu_tasks_trace_bench__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x11\xc8\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\x6e\
\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x67\x65\x74\
\x70\x67\x69\x64\0\x66\x65\x6e\x74\x72\x79\x2f\x72\x63\x75\x5f\x74\x61\x73\x6b\
\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x65\x67\x70\x5f\x73\x74\x65\x70\0\x66\
\x65\x6e\x74\x72\x79\x2f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\
\x63\x65\x5f\x70\x6f\x73\x74\x67\x70\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x5f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x62\
\x65\x6e\x63\x68\x2e\x63\0\x4c\x42\x42\x30\x5f\x32\0\x4c\x42\x42\x32\x5f\x33\0\
\x4c\x42\x42\x32\x5f\x34\0\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\0\x74\x61\x73\
\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x68\x69\x74\x73\0\x70\x72\x65\x67\x70\
\x5f\x73\x74\x65\x70\0\x63\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\x61\
\x72\x74\0\x70\x6f\x73\x74\x67\x70\0\x70\x6f\x73\x74\x67\x70\x5f\x73\x65\x65\
\x6e\0\x75\x6e\x65\x78\x70\x65\x63\x74\x65\x64\0\x67\x70\x5f\x74\x69\x6d\x65\
\x73\0\x67\x70\x5f\x68\x69\x74\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\
\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\
\x2f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\
\x65\x67\x70\x5f\x73\x74\x65\x70\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\
\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x6f\x73\
\x74\x67\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7f\x04\0\xff\xf1\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa5\
\0\0\0\x03\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xac\0\0\0\x05\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\xb3\0\0\0\x05\0\0\0\0\0\
\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\xba\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc0\0\0\0\xc4\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xd1\x11\0\0\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\xd6\x12\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x30\0\0\0\xe1\x11\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x08\0\0\
\0\xf2\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\xf9\x11\0\0\x07\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\x01\x05\x11\0\0\x07\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0\x08\0\0\x01\x10\x11\0\0\x07\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x08\0\0\
\x01\x19\x11\0\0\x07\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x08\0\0\x01\x21\x11\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xb4\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\
\0\0\x85\0\0\0\0\0\0\x9e\xbf\x60\0\0\0\0\0\0\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\
\xff\xff\xff\xfc\xb7\x70\0\0\0\0\0\x01\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\
\x26\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\x01\x85\0\0\0\0\0\0\x9c\x15\0\0\x09\0\0\0\0\
\xb4\x10\0\0\0\0\0\x03\x63\x01\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xbf\x26\0\0\0\0\0\0\x85\0\0\0\0\0\0\x9d\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xdb\x17\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x05\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x10\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x18\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x79\x16\0\0\0\0\0\0\x55\x10\0\x07\0\0\0\0\x71\x17\0\0\0\0\0\0\x16\x10\
\0\x05\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\
\x21\0\0\0\0\0\0\x05\0\0\x0e\0\0\0\0\x85\0\0\0\0\0\0\x05\x79\x16\0\0\0\0\0\0\
\x1f\x01\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x10\0\0\0\0\0\0\
\xb7\x10\0\0\0\0\0\x01\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x21\0\0\0\0\0\0\
\xb4\x10\0\0\0\0\0\x01\x73\x71\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x7b\x61\0\0\0\0\
\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x09\0\
\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\x98\0\0\0\x0a\0\0\
\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\
\x01\0\0\0\0\0\0\0\x10\0\0\0\x0c\0\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\x0f\0\0\0\
\x01\0\0\0\0\0\0\0\x80\0\0\0\x10\0\0\0\x01\0\0\0\0\0\0\0\xa0\0\0\0\x11\0\0\0\
\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\xa8\0\0\x04\xa8\0\0\x04\xcf\0\0\0\
\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x1d\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\
\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x28\0\0\0\x07\0\0\0\x80\
\0\0\0\x2c\0\0\0\x07\0\0\0\xc0\0\0\0\x32\x0e\0\0\0\0\0\0\x08\0\0\0\x01\0\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x3f\0\0\0\x0a\0\0\0\x43\
\x0c\0\0\x01\0\0\0\x0b\0\0\0\0\x02\0\0\0\0\0\0\x0e\0\0\0\x4d\x04\0\0\x06\0\0\0\
\xc8\0\0\0\0\0\0\0\x0f\0\0\0\0\0\0\0\x55\0\0\0\x12\0\0\x04\xc0\0\0\0\0\0\0\0\
\x17\0\0\x05\0\0\0\0\x5f\0\0\0\x12\0\0\x05\x80\0\0\0\x65\0\0\0\x12\0\0\x05\xc0\
\0\0\0\x69\0\0\0\x12\0\0\x06\0\0\0\0\0\x05\0\0\x02\0\0\0\x98\0\0\0\x74\0\0\0\
\x10\0\0\0\0\0\0\0\0\0\0\0\x11\0\0\0\0\0\0\0\x7e\x08\0\0\0\0\0\0\x11\0\0\0\0\
\x04\0\0\x03\0\0\0\x98\0\0\0\x8b\0\0\0\x13\0\0\0\0\0\0\0\x90\0\0\0\x14\0\0\0\
\x40\0\0\0\x94\0\0\0\x16\0\0\0\xc0\0\0\0\x99\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\x04\0\0\0\x01\0\0\0\xa7\x08\0\0\0\0\0\0\
\x15\0\0\0\0\x04\0\0\x02\0\0\0\x10\0\0\0\xad\0\0\0\x12\0\0\0\0\0\0\0\xb2\0\0\0\
\x12\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\x04\0\0\0\x10\0\0\0\0\
\x05\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\xb7\0\0\0\x1a\0\0\0\0\0\
\0\0\0\x04\0\0\x03\0\0\0\x10\0\0\0\xc0\0\0\0\x19\0\0\0\0\0\0\0\xc9\0\0\0\x19\0\
\0\0\x20\0\0\0\xd2\0\0\0\x12\0\0\0\x40\0\0\0\xe0\x01\0\0\0\0\0\0\x04\0\0\0\x20\
\0\0\0\xb7\x84\0\0\x06\0\0\0\x0c\0\0\0\xed\0\0\0\x1b\0\0\0\0\0\0\0\xf3\0\0\0\
\x1d\0\0\0\x20\0\0\0\xfb\0\0\0\x1d\x01\0\0\x40\0\0\x01\x06\0\0\0\x1d\x01\0\0\
\x41\0\0\x01\x13\0\0\0\x1d\x03\0\0\x42\0\0\0\x19\0\0\0\x1d\x03\0\0\x51\0\0\x01\
\x17\x84\0\0\x05\0\0\0\x04\0\0\x01\x25\0\0\0\x1c\x08\0\0\0\0\0\x01\x2b\0\0\0\
\x1c\x01\0\0\x0c\0\0\x01\x2d\0\0\0\x1c\x02\0\0\x0d\0\0\x01\x32\0\0\0\x1c\x01\0\
\0\x0f\0\0\x01\x36\0\0\0\x1c\x10\0\0\x10\0\0\x01\x3d\x08\0\0\0\0\0\0\x19\0\0\
\x01\x43\x08\0\0\0\0\0\0\x1c\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x3f\0\0\0\x0d\
\0\0\x01\x47\x0c\0\0\x01\0\0\0\x1e\0\0\x01\x52\x0c\0\0\x01\0\0\0\x1e\0\0\x01\
\x59\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\x01\x5e\x0e\0\0\0\0\0\0\x21\0\0\0\x01\
\0\0\x01\x63\x0e\0\0\0\0\0\0\x21\0\0\0\x01\0\0\x01\x74\x08\0\0\0\0\0\0\x25\0\0\
\x01\x79\x01\0\0\0\0\0\0\x01\x04\0\0\x08\0\0\x01\x7f\x0e\0\0\0\0\0\0\x24\0\0\0\
\x01\0\0\x01\x8b\x0e\0\0\0\0\0\0\x21\0\0\0\x01\0\0\x01\x96\x0e\0\0\0\0\0\0\x21\
\0\0\0\x01\0\0\x01\x9f\x0e\0\0\0\0\0\0\x21\0\0\0\x01\0\0\x01\xa7\x01\0\0\0\0\0\
\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x04\0\0\0\x04\0\0\
\x01\xac\x0e\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\x04\x61\x0f\0\0\x01\0\0\0\x20\0\0\0\
\x09\0\0\0\0\0\0\0\x20\0\0\x04\x67\x0f\0\0\x06\0\0\0\x30\0\0\0\x22\0\0\0\0\0\0\
\0\x08\0\0\0\x23\0\0\0\x08\0\0\0\x08\0\0\0\x26\0\0\0\x10\0\0\0\x01\0\0\0\x27\0\
\0\0\x18\0\0\0\x08\0\0\0\x28\0\0\0\x20\0\0\0\x08\0\0\0\x29\0\0\0\x28\0\0\0\x08\
\0\0\x04\x6c\x0f\0\0\x01\0\0\0\x04\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x74\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\
\x6c\x75\x65\0\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x63\x74\x78\0\
\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\0\x70\x74\x5f\x72\x65\x67\x73\0\x6f\x72\
\x69\x67\x5f\x67\x70\x72\x32\0\x66\x6c\x61\x67\x73\0\x63\x72\x31\0\x6c\x61\x73\
\x74\x5f\x62\x72\x65\x61\x6b\0\x75\x73\x65\x72\x5f\x72\x65\x67\x73\0\x75\x73\
\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x61\x72\x67\x73\0\x70\x73\x77\0\x67\
\x70\x72\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x70\x73\
\x77\x5f\x74\0\x6d\x61\x73\x6b\0\x61\x64\x64\x72\0\x74\x70\x69\x5f\x69\x6e\x66\
\x6f\0\x69\x6e\x74\x5f\x63\x6f\x64\x65\0\x69\x6e\x74\x5f\x70\x61\x72\x6d\0\x69\
\x6e\x74\x5f\x70\x61\x72\x6d\x5f\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x73\x63\x68\x69\x64\0\x69\x6e\x74\x70\x61\x72\x6d\0\x61\
\x64\x61\x70\x74\x65\x72\x5f\x49\x4f\0\x64\x69\x72\x65\x63\x74\x65\x64\x5f\x69\
\x72\x71\0\x69\x73\x63\0\x73\x75\x62\x63\x68\x61\x6e\x6e\x65\x6c\x5f\x69\x64\0\
\x63\x73\x73\x69\x64\0\x6d\0\x73\x73\x69\x64\0\x6f\x6e\x65\0\x73\x63\x68\x5f\
\x6e\x6f\0\x5f\x5f\x75\x33\x32\0\x75\x33\x32\0\x70\x72\x65\x67\x70\x5f\x73\x74\
\x65\x70\0\x70\x6f\x73\x74\x67\x70\0\x6c\x6f\x6e\x67\0\x68\x69\x74\x73\0\x63\
\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\x61\x72\x74\0\x62\x6f\x6f\x6c\
\0\x5f\x42\x6f\x6f\x6c\0\x70\x6f\x73\x74\x67\x70\x5f\x73\x65\x65\x6e\0\x75\x6e\
\x65\x78\x70\x65\x63\x74\x65\x64\0\x67\x70\x5f\x74\x69\x6d\x65\x73\0\x67\x70\
\x5f\x68\x69\x74\x73\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x32\x37\
\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x32\x37\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\
\x61\x67\x65\x5f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\
\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x69\x6e\x74\x20\x67\x65\x74\x5f\x6c\x6f\x63\
\x61\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x64\x78\x20\x3d\
\x20\x30\x3b\0\x09\x74\x61\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\x28\x29\x3b\0\
\x09\x73\x20\x3d\x20\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\
\x67\x65\x5f\x67\x65\x74\x28\x26\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x2c\x20\x74\x61\x73\x6b\x2c\x20\x26\x69\x64\x78\x2c\0\x09\x69\x66\x20\x28\
\x21\x73\x29\0\x09\x2a\x73\x20\x3d\x20\x33\x3b\0\x09\x62\x70\x66\x5f\x74\x61\
\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x64\x65\x6c\x65\x74\x65\x28\x26\
\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x2c\x20\x74\x61\x73\x6b\x29\
\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\x5f\x66\x65\
\x74\x63\x68\x28\x26\x68\x69\x74\x73\x2c\x20\x31\x29\x3b\0\x7d\0\x09\x63\x75\
\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\x61\x72\x74\x20\x3d\x20\x62\x70\
\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x70\x6f\x73\x74\x67\x70\x28\
\x73\x74\x72\x75\x63\x74\x20\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x63\x74\x78\
\x29\0\x09\x69\x66\x20\x28\x21\x63\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\
\x74\x61\x72\x74\x20\x26\x26\x20\x70\x6f\x73\x74\x67\x70\x5f\x73\x65\x65\x6e\
\x29\x20\x7b\0\x09\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\
\x5f\x66\x65\x74\x63\x68\x28\x26\x75\x6e\x65\x78\x70\x65\x63\x74\x65\x64\x2c\
\x20\x31\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\
\x5f\x66\x65\x74\x63\x68\x28\x26\x67\x70\x5f\x74\x69\x6d\x65\x73\x2c\x20\x62\
\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x20\x2d\
\x20\x63\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\x61\x72\x74\x29\x3b\0\
\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\x5f\x66\x65\x74\
\x63\x68\x28\x26\x67\x70\x5f\x68\x69\x74\x73\x2c\x20\x31\x29\x3b\0\x09\x70\x6f\
\x73\x74\x67\x70\x5f\x73\x65\x65\x6e\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x09\x63\
\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\x61\x72\x74\x20\x3d\x20\x30\
\x3b\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\
\x67\x65\x74\x70\x67\x69\x64\0\x66\x65\x6e\x74\x72\x79\x2f\x72\x63\x75\x5f\x74\
\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x65\x67\x70\x5f\x73\x74\
\x65\x70\0\x66\x65\x6e\x74\x72\x79\x2f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\
\x74\x72\x61\x63\x65\x5f\x70\x6f\x73\x74\x67\x70\0\0\xeb\x9f\x01\0\0\0\0\x20\0\
\0\0\0\0\0\0\x34\0\0\0\x34\0\0\x01\xac\0\0\x01\xe0\0\0\0\0\0\0\0\x08\0\0\x04\
\x74\0\0\0\x01\0\0\0\0\0\0\0\x0c\0\0\x04\x8f\0\0\0\x01\0\0\0\0\0\0\0\x1f\0\0\
\x04\xb1\0\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\x10\0\0\x04\x74\0\0\0\x0a\0\0\0\0\0\
\0\x01\xb5\0\0\x02\x44\0\0\x5c\0\0\0\0\x08\0\0\x01\xb5\0\0\x02\x5d\0\0\x74\x06\
\0\0\0\x10\0\0\x01\xb5\0\0\x02\x67\0\0\x78\x09\0\0\0\x28\0\0\x01\xb5\0\0\x02\
\x5d\0\0\x74\x06\0\0\0\x38\0\0\x01\xb5\0\0\x02\x8b\0\0\x7c\x06\0\0\0\x60\0\0\
\x01\xb5\0\0\x02\xc0\0\0\x84\x06\0\0\0\x70\0\0\x01\xb5\0\0\x02\xc9\0\0\x90\x05\
\0\0\0\x78\0\0\x01\xb5\0\0\x02\xd2\0\0\x94\x02\0\0\0\x98\0\0\x01\xb5\0\0\x03\
\x01\0\0\x98\x02\0\0\0\xb0\0\0\x01\xb5\0\0\x03\x22\0\0\xa0\x01\0\0\x04\x8f\0\0\
\0\x03\0\0\0\0\0\0\x01\xb5\0\0\x03\x24\0\0\xb4\x15\0\0\0\x08\0\0\x01\xb5\0\0\
\x03\x24\0\0\xb4\x13\0\0\0\x20\0\0\x01\xb5\0\0\x03\x4c\0\0\xb8\x02\0\0\x04\xb1\
\0\0\0\x0c\0\0\0\0\0\0\x01\xb5\0\0\x03\x57\0\0\xc8\0\0\0\0\x10\0\0\x01\xb5\0\0\
\x03\x77\0\0\xd0\x07\0\0\0\x28\0\0\x01\xb5\0\0\x03\x77\0\0\xd0\x18\0\0\0\x48\0\
\0\x01\xb5\0\0\x03\xa0\0\0\xe0\x03\0\0\0\x68\0\0\x01\xb5\0\0\x03\xc8\0\0\xf0\
\x22\0\0\0\x70\0\0\x01\xb5\0\0\x03\xc8\0\0\xf0\x37\0\0\0\x78\0\0\x01\xb5\0\0\
\x03\xc8\0\0\xf0\x35\0\0\0\x80\0\0\x01\xb5\0\0\x03\xc8\0\0\xf0\x02\0\0\0\xa0\0\
\0\x01\xb5\0\0\x04\x11\0\0\xf4\x02\0\0\0\xc0\0\0\x01\xb5\0\0\x04\x35\0\0\xfc\
\x0e\0\0\0\xd0\0\0\x01\xb5\0\0\x04\x4a\0\0\xf8\x13\0\0\0\xd8\0\0\x01\xb5\0\0\
\x03\x22\0\x01\x04\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\x01\x9f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xe0\0\0\0\0\0\0\x01\xc8\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\xa8\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\x68\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x04\x98\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x6c\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\
\x80\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x72\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xa0\0\0\0\0\0\
\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x77\0\0\0\x01\
\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xa0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x01\x2a\0\0\0\x09\0\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xa8\0\0\0\0\0\0\0\x30\0\0\0\x02\0\0\0\
\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x49\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xd8\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x6f\0\0\0\x09\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xe8\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\x05\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x91\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x06\x38\0\0\0\0\0\0\x09\x8f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\x01\x96\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0f\xc8\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct local_storage_rcu_tasks_trace_bench *local_storage_rcu_tasks_trace_bench::open(const struct bpf_object_open_opts *opts) { return local_storage_rcu_tasks_trace_bench__open_opts(opts); }
struct local_storage_rcu_tasks_trace_bench *local_storage_rcu_tasks_trace_bench::open_and_load() { return local_storage_rcu_tasks_trace_bench__open_and_load(); }
int local_storage_rcu_tasks_trace_bench::load(struct local_storage_rcu_tasks_trace_bench *skel) { return local_storage_rcu_tasks_trace_bench__load(skel); }
int local_storage_rcu_tasks_trace_bench::attach(struct local_storage_rcu_tasks_trace_bench *skel) { return local_storage_rcu_tasks_trace_bench__attach(skel); }
void local_storage_rcu_tasks_trace_bench::detach(struct local_storage_rcu_tasks_trace_bench *skel) { local_storage_rcu_tasks_trace_bench__detach(skel); }
void local_storage_rcu_tasks_trace_bench::destroy(struct local_storage_rcu_tasks_trace_bench *skel) { local_storage_rcu_tasks_trace_bench__destroy(skel); }
const void *local_storage_rcu_tasks_trace_bench::elf_bytes(size_t *sz) { return local_storage_rcu_tasks_trace_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
local_storage_rcu_tasks_trace_bench__assert(struct local_storage_rcu_tasks_trace_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->hits) == 8, "unexpected size of 'hits'");
	_Static_assert(sizeof(s->bss->current_gp_start) == 8, "unexpected size of 'current_gp_start'");
	_Static_assert(sizeof(s->bss->postgp_seen) == 1, "unexpected size of 'postgp_seen'");
	_Static_assert(sizeof(s->bss->unexpected) == 8, "unexpected size of 'unexpected'");
	_Static_assert(sizeof(s->bss->gp_times) == 8, "unexpected size of 'gp_times'");
	_Static_assert(sizeof(s->bss->gp_hits) == 8, "unexpected size of 'gp_hits'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __LOCAL_STORAGE_RCU_TASKS_TRACE_BENCH_SKEL_H__ */
