/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_SPIN_LOCK_SKEL_H__
#define __VERIFIER_SPIN_LOCK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_spin_lock {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_spin_lock;
	} maps;
	struct {
		struct bpf_program *spin_lock_test1_success;
		struct bpf_program *lock_test2_direct_ld_st;
		struct bpf_program *lock_test3_direct_ld_st;
		struct bpf_program *lock_test4_direct_ld_st;
		struct bpf_program *call_within_a_locked_region;
		struct bpf_program *spin_lock_test6_missing_unlock;
		struct bpf_program *lock_test7_unlock_without_lock;
		struct bpf_program *spin_lock_test8_double_lock;
		struct bpf_program *spin_lock_test9_different_lock;
		struct bpf_program *lock_in_subprog_without_unlock;
		struct bpf_program *check_ids_similar_id_mappings;
		struct bpf_program *test11_ld_abs_under_lock;
		struct bpf_program *reg_id_for_map_value;
	} progs;
	struct {
		struct bpf_link *spin_lock_test1_success;
		struct bpf_link *lock_test2_direct_ld_st;
		struct bpf_link *lock_test3_direct_ld_st;
		struct bpf_link *lock_test4_direct_ld_st;
		struct bpf_link *call_within_a_locked_region;
		struct bpf_link *spin_lock_test6_missing_unlock;
		struct bpf_link *lock_test7_unlock_without_lock;
		struct bpf_link *spin_lock_test8_double_lock;
		struct bpf_link *spin_lock_test9_different_lock;
		struct bpf_link *lock_in_subprog_without_unlock;
		struct bpf_link *check_ids_similar_id_mappings;
		struct bpf_link *test11_ld_abs_under_lock;
		struct bpf_link *reg_id_for_map_value;
	} links;

#ifdef __cplusplus
	static inline struct verifier_spin_lock *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_spin_lock *open_and_load();
	static inline int load(struct verifier_spin_lock *skel);
	static inline int attach(struct verifier_spin_lock *skel);
	static inline void detach(struct verifier_spin_lock *skel);
	static inline void destroy(struct verifier_spin_lock *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_spin_lock__destroy(struct verifier_spin_lock *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_spin_lock__create_skeleton(struct verifier_spin_lock *obj);

static inline struct verifier_spin_lock *
verifier_spin_lock__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_spin_lock *obj;
	int err;

	obj = (struct verifier_spin_lock *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_spin_lock__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_spin_lock__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_spin_lock *
verifier_spin_lock__open(void)
{
	return verifier_spin_lock__open_opts(NULL);
}

static inline int
verifier_spin_lock__load(struct verifier_spin_lock *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_spin_lock *
verifier_spin_lock__open_and_load(void)
{
	struct verifier_spin_lock *obj;
	int err;

	obj = verifier_spin_lock__open();
	if (!obj)
		return NULL;
	err = verifier_spin_lock__load(obj);
	if (err) {
		verifier_spin_lock__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_spin_lock__attach(struct verifier_spin_lock *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_spin_lock__detach(struct verifier_spin_lock *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_spin_lock__elf_bytes(size_t *sz);

static inline int
verifier_spin_lock__create_skeleton(struct verifier_spin_lock *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_spin_lock";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_spin_lock";
	s->maps[0].map = &obj->maps.map_spin_lock;

	/* programs */
	s->prog_cnt = 13;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "spin_lock_test1_success";
	s->progs[0].prog = &obj->progs.spin_lock_test1_success;
	s->progs[0].link = &obj->links.spin_lock_test1_success;

	s->progs[1].name = "lock_test2_direct_ld_st";
	s->progs[1].prog = &obj->progs.lock_test2_direct_ld_st;
	s->progs[1].link = &obj->links.lock_test2_direct_ld_st;

	s->progs[2].name = "lock_test3_direct_ld_st";
	s->progs[2].prog = &obj->progs.lock_test3_direct_ld_st;
	s->progs[2].link = &obj->links.lock_test3_direct_ld_st;

	s->progs[3].name = "lock_test4_direct_ld_st";
	s->progs[3].prog = &obj->progs.lock_test4_direct_ld_st;
	s->progs[3].link = &obj->links.lock_test4_direct_ld_st;

	s->progs[4].name = "call_within_a_locked_region";
	s->progs[4].prog = &obj->progs.call_within_a_locked_region;
	s->progs[4].link = &obj->links.call_within_a_locked_region;

	s->progs[5].name = "spin_lock_test6_missing_unlock";
	s->progs[5].prog = &obj->progs.spin_lock_test6_missing_unlock;
	s->progs[5].link = &obj->links.spin_lock_test6_missing_unlock;

	s->progs[6].name = "lock_test7_unlock_without_lock";
	s->progs[6].prog = &obj->progs.lock_test7_unlock_without_lock;
	s->progs[6].link = &obj->links.lock_test7_unlock_without_lock;

	s->progs[7].name = "spin_lock_test8_double_lock";
	s->progs[7].prog = &obj->progs.spin_lock_test8_double_lock;
	s->progs[7].link = &obj->links.spin_lock_test8_double_lock;

	s->progs[8].name = "spin_lock_test9_different_lock";
	s->progs[8].prog = &obj->progs.spin_lock_test9_different_lock;
	s->progs[8].link = &obj->links.spin_lock_test9_different_lock;

	s->progs[9].name = "lock_in_subprog_without_unlock";
	s->progs[9].prog = &obj->progs.lock_in_subprog_without_unlock;
	s->progs[9].link = &obj->links.lock_in_subprog_without_unlock;

	s->progs[10].name = "check_ids_similar_id_mappings";
	s->progs[10].prog = &obj->progs.check_ids_similar_id_mappings;
	s->progs[10].link = &obj->links.check_ids_similar_id_mappings;

	s->progs[11].name = "test11_ld_abs_under_lock";
	s->progs[11].prog = &obj->progs.test11_ld_abs_under_lock;
	s->progs[11].link = &obj->links.test11_ld_abs_under_lock;

	s->progs[12].name = "reg_id_for_map_value";
	s->progs[12].prog = &obj->progs.reg_id_for_map_value;
	s->progs[12].link = &obj->links.reg_id_for_map_value;

	s->data = verifier_spin_lock__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_spin_lock__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\x68\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x63\x67\x72\x6f\x75\x70\x2f\x73\x6b\x62\0\x74\x63\0\x2e\x6d\x61\x70\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x73\
\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\
\x6c\x30\x5f\x32\0\x6c\x30\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x30\x5f\x35\0\x6c\
\x31\x5f\x35\0\x6c\x30\x5f\x36\0\x6c\x31\x5f\x36\0\x6c\x30\x5f\x37\0\x6c\x30\
\x5f\x38\0\x6c\x31\x5f\x38\0\x6c\x30\x5f\x39\0\x6c\x6f\x63\x6b\x5f\x69\x6e\x5f\
\x73\x75\x62\x70\x72\x6f\x67\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x75\x6e\x6c\
\x6f\x63\x6b\x5f\x5f\x31\0\x6c\x30\x5f\x31\x30\0\x6c\x30\x5f\x31\x31\0\x6c\x31\
\x5f\x31\x31\0\x6c\x32\x5f\x31\x31\0\x6c\x33\x5f\x31\x31\0\x6c\x30\x5f\x31\x32\
\0\x6c\x31\x5f\x31\x32\0\x6c\x32\x5f\x31\x32\0\x6c\x33\x5f\x31\x32\0\x73\x70\
\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x31\x5f\x73\x75\x63\x63\x65\
\x73\x73\0\x6d\x61\x70\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x6c\x6f\x63\
\x6b\x5f\x74\x65\x73\x74\x32\x5f\x64\x69\x72\x65\x63\x74\x5f\x6c\x64\x5f\x73\
\x74\0\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x33\x5f\x64\x69\x72\x65\x63\x74\x5f\
\x6c\x64\x5f\x73\x74\0\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x34\x5f\x64\x69\x72\
\x65\x63\x74\x5f\x6c\x64\x5f\x73\x74\0\x63\x61\x6c\x6c\x5f\x77\x69\x74\x68\x69\
\x6e\x5f\x61\x5f\x6c\x6f\x63\x6b\x65\x64\x5f\x72\x65\x67\x69\x6f\x6e\0\x73\x70\
\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x36\x5f\x6d\x69\x73\x73\x69\
\x6e\x67\x5f\x75\x6e\x6c\x6f\x63\x6b\0\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x37\
\x5f\x75\x6e\x6c\x6f\x63\x6b\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x6c\x6f\x63\
\x6b\0\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x38\x5f\x64\x6f\
\x75\x62\x6c\x65\x5f\x6c\x6f\x63\x6b\0\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\
\x74\x65\x73\x74\x39\x5f\x64\x69\x66\x66\x65\x72\x65\x6e\x74\x5f\x6c\x6f\x63\
\x6b\0\x6c\x6f\x63\x6b\x5f\x69\x6e\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x77\x69\
\x74\x68\x6f\x75\x74\x5f\x75\x6e\x6c\x6f\x63\x6b\0\x74\x65\x73\x74\x31\x31\x5f\
\x6c\x64\x5f\x61\x62\x73\x5f\x75\x6e\x64\x65\x72\x5f\x6c\x6f\x63\x6b\0\x72\x65\
\x67\x5f\x69\x64\x5f\x66\x6f\x72\x5f\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\0\x63\
\x68\x65\x63\x6b\x5f\x69\x64\x73\x5f\x73\x69\x6d\x69\x6c\x61\x72\x5f\x69\x64\
\x5f\x6d\x61\x70\x70\x69\x6e\x67\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\x73\x6b\x62\0\x2e\x72\x65\x6c\x74\x63\
\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x04\0\0\0\0\0\0\0\x48\0\0\
\0\0\0\0\0\0\0\0\0\x4d\0\0\0\x04\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\x52\0\
\0\0\x04\0\0\0\0\0\0\x01\x78\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x04\0\0\0\0\0\0\
\x02\x10\0\0\0\0\0\0\0\0\0\0\0\x5c\0\0\0\x04\0\0\0\0\0\0\x02\xa8\0\0\0\0\0\0\0\
\0\0\0\0\x61\0\0\0\x04\0\0\0\0\0\0\x03\x40\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x04\
\0\0\0\0\0\0\x03\x88\0\0\0\0\0\0\0\0\0\0\0\x6b\0\0\0\x04\0\0\0\0\0\0\x03\xe0\0\
\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x04\0\0\0\0\0\0\x04\x08\0\0\0\0\0\0\0\0\0\0\0\
\x75\0\0\0\x04\0\0\0\0\0\0\x04\x80\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x04\0\0\0\0\
\0\0\x05\x30\0\0\0\0\0\0\0\0\0\0\0\x7f\0\0\0\x04\0\0\0\0\0\0\x05\x70\0\0\0\0\0\
\0\0\0\0\0\0\x84\0\0\0\x04\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\x89\x02\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xab\0\0\0\x05\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\xb1\0\
\0\0\x05\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\xb7\0\0\0\x05\0\0\0\0\0\0\x01\
\x38\0\0\0\0\0\0\0\0\0\0\0\xbd\0\0\0\x05\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\0\0\
\0\0\xc3\0\0\0\x05\0\0\0\0\0\0\x01\x70\0\0\0\0\0\0\0\0\0\0\0\xc9\0\0\0\x04\0\0\
\0\0\0\0\x07\x48\0\0\0\0\0\0\0\0\0\0\0\xcf\0\0\0\x04\0\0\0\0\0\0\x07\x50\0\0\0\
\0\0\0\0\0\0\0\0\xd5\0\0\0\x04\0\0\0\0\0\0\x07\x18\0\0\0\0\0\0\0\0\0\0\0\xdb\0\
\0\0\x04\0\0\0\0\0\0\x07\x30\0\0\0\0\0\0\0\0\0\0\0\xe1\x12\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x98\0\0\0\xf9\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\0\0\x01\x07\x12\0\0\x04\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x98\0\0\x01\x1f\x12\0\
\0\x04\0\0\0\0\0\0\x01\x30\0\0\0\0\0\0\0\x98\0\0\x01\x37\x12\0\0\x04\0\0\0\0\0\
\0\x01\xc8\0\0\0\0\0\0\0\x98\0\0\x01\x4f\x12\0\0\x04\0\0\0\0\0\0\x02\x60\0\0\0\
\0\0\0\0\x98\0\0\x01\x6b\x12\0\0\x04\0\0\0\0\0\0\x02\xf8\0\0\0\0\0\0\0\xa0\0\0\
\x01\x8a\x12\0\0\x04\0\0\0\0\0\0\x03\x98\0\0\0\0\0\0\0\xa0\0\0\x01\xa9\x12\0\0\
\x04\0\0\0\0\0\0\x04\x38\0\0\0\0\0\0\0\xb0\0\0\x01\xc5\x12\0\0\x04\0\0\0\0\0\0\
\x04\xe8\0\0\0\0\0\0\0\xd0\0\0\x01\xe4\x12\0\0\x04\0\0\0\0\0\0\x05\xb8\0\0\0\0\
\0\0\0\x90\0\0\x02\x03\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\x02\
\x1c\x12\0\0\x05\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\xf8\0\0\x02\x31\x12\0\0\x04\0\
\0\0\0\0\0\x06\x48\0\0\0\0\0\0\x01\x10\0\0\x02\x4f\x11\0\0\x07\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\
\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\
\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x55\0\0\
\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x07\x10\
\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\
\x61\x06\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\
\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x55\0\
\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x07\
\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\
\x04\x61\x01\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\
\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x55\0\
\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x07\
\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\
\x04\x61\x06\0\x01\0\0\0\0\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\
\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x55\
\0\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x07\
\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\
\x04\x69\x06\0\x03\0\0\0\0\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\
\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x55\
\0\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x07\
\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\x85\0\0\0\0\0\0\x07\xbf\x16\0\0\0\0\0\0\
\x07\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\
\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x55\0\
\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x07\
\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\
\x04\x61\x06\0\0\0\0\0\0\x55\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\
\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\x01\x55\0\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\xbf\
\x10\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\x55\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\
\x5d\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\x61\x06\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\
\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x55\0\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\x60\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\
\x5d\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\
\0\0\0\0\x07\x10\0\0\0\0\0\x04\x61\x06\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5e\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\
\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\0\0\0\x01\x55\0\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\
\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x85\0\0\0\0\0\0\x01\x55\0\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x70\0\0\
\0\0\0\0\xbf\x16\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\xbf\x17\
\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\
\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\x01\x55\0\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\xbf\x10\0\0\0\
\0\0\0\x07\x10\0\0\0\0\0\x04\x85\x01\0\0\xff\xff\xff\xff\xbf\x16\0\0\0\0\0\0\
\x07\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\
\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\
\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\
\0\x18\0\0\0\0\xbf\x90\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\
\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x12\0\0\0\
\0\xbf\x80\0\0\0\0\0\0\x85\0\0\0\0\0\0\x05\xbf\x70\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x05\xbf\x60\0\0\0\0\0\0\x2d\x67\0\x05\0\0\0\0\xbf\x18\0\0\0\0\0\0\x07\x10\0\0\
\0\0\0\x04\x85\0\0\0\0\0\0\x5d\xbf\x98\0\0\0\0\0\0\x05\0\0\x03\0\0\0\0\xbf\x19\
\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\xbf\x19\0\0\0\0\0\0\x07\
\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\xbf\x2a\0\0\0\0\0\
\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x01\x55\0\0\x01\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x70\0\0\0\0\0\0\xbf\x10\0\0\
\0\0\0\0\x07\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5d\x30\0\0\0\0\0\0\0\xbf\x17\0\
\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x61\x66\0\x08\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xbf\x91\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\0\x63\xa2\xff\xfc\0\0\0\0\xbf\
\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x85\0\0\0\0\0\0\x01\x55\0\0\x01\0\
\0\0\0\x95\0\0\0\0\0\0\0\xbf\x70\0\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\xbf\x2a\0\0\0\
\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x85\0\0\0\0\0\0\x01\x55\0\0\x01\0\0\0\0\x95\
\0\0\0\0\0\0\0\xbf\x80\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\
\x85\0\0\0\0\0\0\x5d\x15\x60\0\x01\0\0\0\0\x05\0\0\x01\0\0\0\0\xbf\x78\0\0\0\0\
\0\0\xbf\x17\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x04\x85\0\0\0\0\0\0\x5e\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x1d\0\0\0\x01\0\0\0\0\
\0\0\0\xb8\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\x01\x50\0\0\0\x1d\0\0\0\x01\0\0\0\0\
\0\0\x01\xe8\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\x02\x80\0\0\0\x1d\0\0\0\x01\0\0\0\
\0\0\0\x03\x18\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\x03\xb8\0\0\0\x1d\0\0\0\x01\0\0\
\0\0\0\0\x04\x58\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\x05\x08\0\0\0\x1d\0\0\0\x01\0\
\0\0\0\0\0\x05\x48\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\x05\xd8\0\0\0\x1d\0\0\0\x01\
\0\0\0\0\0\0\x06\x18\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\x06\x68\0\0\0\x1d\0\0\0\
\x01\0\0\0\0\0\0\x06\xa0\0\0\0\x1d\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x1d\0\0\0\
\x01\0\0\0\0\0\0\0\xb0\0\0\0\x1d\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\
\x06\x60\0\0\x06\x60\0\0\x08\x4d\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\
\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x02\
\0\0\0\0\x02\0\0\0\0\0\0\x09\0\0\0\x19\x04\0\0\x02\0\0\0\x08\0\0\0\x1d\0\0\0\
\x02\0\0\0\0\0\0\0\x21\0\0\0\x0a\0\0\0\x20\0\0\0\x23\x04\0\0\x01\0\0\0\x04\0\0\
\0\x19\0\0\0\x0b\0\0\0\0\0\0\0\x31\x08\0\0\0\0\0\0\x0c\0\0\0\x37\x01\0\0\0\0\0\
\0\x04\0\0\0\x20\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x44\0\0\0\x01\0\0\0\0\0\0\
\0\x49\0\0\0\x05\0\0\0\x40\0\0\0\x55\0\0\0\x07\0\0\0\x80\0\0\0\x59\0\0\0\x08\0\
\0\0\xc0\0\0\0\x5f\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\
\0\x6d\x0c\0\0\x01\0\0\0\x0f\0\0\0\x85\x11\0\0\0\0\0\0\x10\xff\xff\xff\xff\0\0\
\0\xb7\x11\0\0\0\0\0\0\x10\xff\xff\xff\xff\0\0\0\xd3\x11\0\0\0\0\0\0\x10\xff\
\xff\xff\xff\0\0\0\xf6\x11\0\0\0\0\0\0\x10\xff\xff\xff\xff\0\0\x01\x16\x11\0\0\
\0\0\0\0\x10\xff\xff\xff\xff\0\0\x01\x2c\x0c\0\0\x01\0\0\0\x0f\0\0\x01\x44\x11\
\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\0\x01\x7b\x11\0\0\0\0\0\0\x16\xff\xff\xff\
\xff\0\0\x01\x97\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\0\0\xd3\x11\0\0\0\0\0\0\
\x16\xff\xff\xff\xff\0\0\0\xf6\x11\0\0\0\0\0\0\x16\xff\xff\xff\xff\0\0\x01\xcb\
\x0c\0\0\x01\0\0\0\x0f\0\0\x01\xe3\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\x01\
\x7b\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\x01\x97\x11\0\0\0\0\0\0\x1c\xff\
\xff\xff\xff\0\0\0\xd3\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\0\xf6\x11\0\0\0\
\0\0\0\x1c\xff\xff\xff\xff\0\0\x02\x1a\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\
\x02\x46\x0c\0\0\x01\0\0\0\x0f\0\0\x02\x5e\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\
\0\0\x01\x7b\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x01\x97\x11\0\0\0\0\0\0\
\x23\xff\xff\xff\xff\0\0\0\xd3\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\0\xf6\
\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x02\x1a\x11\0\0\0\0\0\0\x23\xff\xff\
\xff\xff\0\0\x02\x95\x0c\0\0\x01\0\0\0\x0f\0\0\x02\xb1\x11\0\0\0\0\0\0\x2a\xff\
\xff\xff\xff\0\0\x01\x7b\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x02\xf7\x11\0\
\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\0\xd3\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\
\0\0\xf6\x11\0\0\0\0\0\0\x2a\xff\xff\xff\xff\0\0\x03\x25\x0c\0\0\x01\0\0\0\x0f\
\0\0\x03\x44\x11\0\0\0\0\0\0\x30\xff\xff\xff\xff\0\0\x01\x7b\x11\0\0\0\0\0\0\
\x30\xff\xff\xff\xff\0\0\x03\x7d\x11\0\0\0\0\0\0\x30\xff\xff\xff\xff\0\0\0\xd3\
\x11\0\0\0\0\0\0\x30\xff\xff\xff\xff\0\0\0\xf6\x11\0\0\0\0\0\0\x30\xff\xff\xff\
\xff\0\0\x03\xa7\x0c\0\0\x01\0\0\0\x0f\0\0\x03\xc6\x11\0\0\0\0\0\0\x36\xff\xff\
\xff\xff\0\0\x01\x7b\x11\0\0\0\0\0\0\x36\xff\xff\xff\xff\0\0\x04\x04\x11\0\0\0\
\0\0\0\x36\xff\xff\xff\xff\0\0\0\xd3\x11\0\0\0\0\0\0\x36\xff\xff\xff\xff\0\0\0\
\xf6\x11\0\0\0\0\0\0\x36\xff\xff\xff\xff\0\0\x04\x32\x0c\0\0\x01\0\0\0\x0f\0\0\
\x04\x4e\x11\0\0\0\0\0\0\x3c\xff\xff\xff\xff\0\0\x01\x7b\x11\0\0\0\0\0\0\x3c\
\xff\xff\xff\xff\0\0\x02\xf7\x11\0\0\0\0\0\0\x3c\xff\xff\xff\xff\0\0\0\xd3\x11\
\0\0\0\0\0\0\x3c\xff\xff\xff\xff\0\0\0\xf6\x11\0\0\0\0\0\0\x3c\xff\xff\xff\xff\
\0\0\x04\x84\x0c\0\0\x01\0\0\0\x0f\0\0\x04\xa3\x11\0\0\0\0\0\0\x42\xff\xff\xff\
\xff\0\0\x01\x7b\x11\0\0\0\0\0\0\x42\xff\xff\xff\xff\0\0\x04\xdc\x11\0\0\0\0\0\
\0\x42\xff\xff\xff\xff\0\0\0\xd3\x11\0\0\0\0\0\0\x42\xff\xff\xff\xff\0\0\0\xf6\
\x11\0\0\0\0\0\0\x42\xff\xff\xff\xff\0\0\x05\x0d\x0c\0\0\x01\0\0\0\x0f\0\0\x05\
\x2c\x11\0\0\0\0\0\0\x48\xff\xff\xff\xff\0\0\0\xb7\x11\0\0\0\0\0\0\x48\xff\xff\
\xff\xff\0\0\0\xd3\x11\0\0\0\0\0\0\x48\xff\xff\xff\xff\0\0\0\xf6\x11\0\0\0\0\0\
\0\x48\xff\xff\xff\xff\0\0\x05\x76\x0c\0\0\0\0\0\0\x0f\0\0\x05\x98\x0c\0\0\x01\
\0\0\0\x0f\0\0\x05\xb1\x11\0\0\0\0\0\0\x4e\xff\xff\xff\xff\0\0\x01\x7b\x11\0\0\
\0\0\0\0\x4e\xff\xff\xff\xff\0\0\x05\xee\x11\0\0\0\0\0\0\x4e\xff\xff\xff\xff\0\
\0\x06\x1b\x0c\0\0\x01\0\0\0\x0f\0\0\x06\x30\x11\0\0\0\0\0\0\x52\xff\xff\xff\
\xff\0\0\x01\x7b\x11\0\0\0\0\0\0\x52\xff\xff\xff\xff\0\0\x06\x7a\x11\0\0\0\0\0\
\0\x52\xff\xff\xff\xff\0\0\x06\xb4\x11\0\0\0\0\0\0\x52\xff\xff\xff\xff\0\0\x06\
\xe2\x0c\0\0\x01\0\0\0\x0f\0\0\x07\0\x11\0\0\0\0\0\0\x57\xff\xff\xff\xff\0\0\0\
\xb7\x11\0\0\0\0\0\0\x57\xff\xff\xff\xff\0\0\x07\x4e\x11\0\0\0\0\0\0\x57\xff\
\xff\xff\xff\0\0\0\xd3\x11\0\0\0\0\0\0\x57\xff\xff\xff\xff\0\0\0\xf6\x11\0\0\0\
\0\0\0\x57\xff\xff\xff\xff\0\0\x07\x6f\x11\0\0\0\0\0\0\x57\xff\xff\xff\xff\0\0\
\x01\x16\x11\0\0\0\0\0\0\x57\xff\xff\xff\xff\0\0\x06\xb4\x11\0\0\0\0\0\0\x57\
\xff\xff\xff\xff\0\0\x07\x88\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\x60\0\0\0\x04\0\0\0\x04\0\0\x07\x8d\x0e\0\0\0\0\0\0\x61\0\0\0\
\x01\0\0\x08\x2b\x0f\0\0\x01\0\0\0\x20\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\x08\x31\
\x0f\0\0\x01\0\0\0\x04\0\0\0\x62\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x76\x61\x6c\
\0\x63\x6e\x74\0\x6c\0\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\
\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\
\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x73\
\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x31\x5f\x73\x75\x63\x63\
\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x3a\
\x20\x74\x65\x73\x74\x31\x20\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\
\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x6c\x6f\x63\x6b\x5f\x74\
\x65\x73\x74\x32\x5f\x64\x69\x72\x65\x63\x74\x5f\x6c\x64\x5f\x73\x74\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x3a\x20\x74\x65\x73\x74\
\x32\x20\x64\x69\x72\x65\x63\x74\x20\x6c\x64\x2f\x73\x74\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\
\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x63\x61\x6e\x6e\x6f\x74\x20\x62\x65\x20\x61\
\x63\x63\x65\x73\x73\x65\x64\x20\x64\x69\x72\x65\x63\x74\x6c\x79\0\x6c\x6f\x63\
\x6b\x5f\x74\x65\x73\x74\x33\x5f\x64\x69\x72\x65\x63\x74\x5f\x6c\x64\x5f\x73\
\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x3a\x20\x74\
\x65\x73\x74\x33\x20\x64\x69\x72\x65\x63\x74\x20\x6c\x64\x2f\x73\x74\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\
\x67\x73\x3d\x42\x50\x46\x5f\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\x47\x4e\x4d\
\x45\x4e\x54\0\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x34\x5f\x64\x69\x72\x65\x63\
\x74\x5f\x6c\x64\x5f\x73\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\x6c\
\x6f\x63\x6b\x3a\x20\x74\x65\x73\x74\x34\x20\x64\x69\x72\x65\x63\x74\x20\x6c\
\x64\x2f\x73\x74\0\x63\x61\x6c\x6c\x5f\x77\x69\x74\x68\x69\x6e\x5f\x61\x5f\x6c\
\x6f\x63\x6b\x65\x64\x5f\x72\x65\x67\x69\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\
\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x3a\x20\x74\x65\x73\x74\x35\x20\x63\x61\x6c\
\x6c\x20\x77\x69\x74\x68\x69\x6e\x20\x61\x20\x6c\x6f\x63\x6b\x65\x64\x20\x72\
\x65\x67\x69\x6f\x6e\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x63\x61\x6c\x6c\x73\x20\x61\x72\x65\
\x20\x6e\x6f\x74\x20\x61\x6c\x6c\x6f\x77\x65\x64\0\x73\x70\x69\x6e\x5f\x6c\x6f\
\x63\x6b\x5f\x74\x65\x73\x74\x36\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\x75\x6e\
\x6c\x6f\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\
\x3a\x20\x74\x65\x73\x74\x36\x20\x6d\x69\x73\x73\x69\x6e\x67\x20\x75\x6e\x6c\
\x6f\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x75\x6e\x6c\x6f\x63\x6b\x20\x69\x73\x20\x6d\
\x69\x73\x73\x69\x6e\x67\0\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\x37\x5f\x75\x6e\
\x6c\x6f\x63\x6b\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x6c\x6f\x63\x6b\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x3a\x20\x74\x65\x73\x74\
\x37\x20\x75\x6e\x6c\x6f\x63\x6b\x20\x77\x69\x74\x68\x6f\x75\x74\x20\x6c\x6f\
\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x77\x69\x74\x68\x6f\x75\x74\x20\x74\x61\x6b\x69\
\x6e\x67\x20\x61\x20\x6c\x6f\x63\x6b\0\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\
\x74\x65\x73\x74\x38\x5f\x64\x6f\x75\x62\x6c\x65\x5f\x6c\x6f\x63\x6b\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x3a\x20\x74\x65\x73\x74\
\x38\x20\x64\x6f\x75\x62\x6c\x65\x20\x6c\x6f\x63\x6b\0\x73\x70\x69\x6e\x5f\x6c\
\x6f\x63\x6b\x5f\x74\x65\x73\x74\x39\x5f\x64\x69\x66\x66\x65\x72\x65\x6e\x74\
\x5f\x6c\x6f\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\x6c\x6f\x63\
\x6b\x3a\x20\x74\x65\x73\x74\x39\x20\x64\x69\x66\x66\x65\x72\x65\x6e\x74\x20\
\x6c\x6f\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x75\x6e\x6c\x6f\x63\x6b\x20\x6f\x66\x20\
\x64\x69\x66\x66\x65\x72\x65\x6e\x74\x20\x6c\x6f\x63\x6b\0\x6c\x6f\x63\x6b\x5f\
\x69\x6e\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\
\x75\x6e\x6c\x6f\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\x6c\x6f\
\x63\x6b\x3a\x20\x74\x65\x73\x74\x31\x30\x20\x6c\x6f\x63\x6b\x20\x69\x6e\x20\
\x73\x75\x62\x70\x72\x6f\x67\x20\x77\x69\x74\x68\x6f\x75\x74\x20\x75\x6e\x6c\
\x6f\x63\x6b\0\x6c\x6f\x63\x6b\x5f\x69\x6e\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\
\x77\x69\x74\x68\x6f\x75\x74\x5f\x75\x6e\x6c\x6f\x63\x6b\x5f\x5f\x31\0\x74\x65\
\x73\x74\x31\x31\x5f\x6c\x64\x5f\x61\x62\x73\x5f\x75\x6e\x64\x65\x72\x5f\x6c\
\x6f\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x3a\
\x20\x74\x65\x73\x74\x31\x31\x20\x6c\x64\x5f\x61\x62\x73\x20\x75\x6e\x64\x65\
\x72\x20\x6c\x6f\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\x6e\x73\x69\x64\x65\x20\x62\
\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x72\x65\x67\x5f\x69\x64\x5f\
\x66\x6f\x72\x5f\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x3a\x20\x72\x65\x67\x73\x61\x66\x65\x20\
\x63\x6f\x6d\x70\x61\x72\x65\x20\x72\x65\x67\x2d\x3e\x69\x64\x20\x66\x6f\x72\
\x20\x6d\x61\x70\x20\x76\x61\x6c\x75\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x62\x70\x66\x5f\
\x73\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\x63\x6b\x20\x6f\x66\x20\x64\x69\x66\x66\
\x65\x72\x65\x6e\x74\x20\x6c\x6f\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\
\x46\x5f\x54\x45\x53\x54\x5f\x53\x54\x41\x54\x45\x5f\x46\x52\x45\x51\0\x63\x68\
\x65\x63\x6b\x5f\x69\x64\x73\x5f\x73\x69\x6d\x69\x6c\x61\x72\x5f\x69\x64\x5f\
\x6d\x61\x70\x70\x69\x6e\x67\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x70\x69\x6e\x5f\
\x6c\x6f\x63\x6b\x3a\x20\x72\x65\x67\x73\x61\x66\x65\x28\x29\x20\x63\x68\x65\
\x63\x6b\x5f\x69\x64\x73\x28\x29\x20\x73\x69\x6d\x69\x6c\x61\x72\x20\x69\x64\
\x20\x6d\x61\x70\x70\x69\x6e\x67\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x39\x3a\x20\x73\
\x61\x66\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6c\x6f\x67\
\x5f\x6c\x65\x76\x65\x6c\x3d\x32\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x32\x37\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x32\x37\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x2e\x63\0\x09\x61\x73\x6d\x20\x76\
\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\
\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x63\x67\x72\x6f\
\x75\x70\x2f\x73\x6b\x62\0\x74\x63\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\
\0\x8c\0\0\0\x8c\0\0\0\xfc\0\0\x01\x88\0\0\0\0\0\0\0\x08\0\0\x08\x39\0\0\0\x01\
\0\0\0\0\0\0\0\x4d\0\0\x08\x3f\0\0\0\x0b\0\0\0\0\0\0\0\x10\0\0\0\x98\0\0\0\x16\
\0\0\x01\x30\0\0\0\x1c\0\0\x01\xc8\0\0\0\x23\0\0\x02\x60\0\0\0\x2a\0\0\x02\xf8\
\0\0\0\x30\0\0\x03\x98\0\0\0\x36\0\0\x04\x38\0\0\0\x3c\0\0\x04\xe8\0\0\0\x42\0\
\0\x05\xb8\0\0\0\x48\0\0\x06\x48\0\0\0\x57\0\0\x08\x4a\0\0\0\x02\0\0\0\0\0\0\0\
\x4e\0\0\0\xa0\0\0\0\x52\0\0\0\x10\0\0\x08\x39\0\0\0\x01\0\0\0\0\0\0\x07\x96\0\
\0\x08\x14\0\x05\xb4\x02\0\0\x08\x3f\0\0\0\x0b\0\0\0\0\0\0\x07\x96\0\0\x08\x14\
\0\0\x68\x02\0\0\0\x98\0\0\x07\x96\0\0\x08\x14\0\0\xec\x02\0\0\x01\x30\0\0\x07\
\x96\0\0\x08\x14\0\x01\x74\x02\0\0\x01\xc8\0\0\x07\x96\0\0\x08\x14\0\x01\xfc\
\x02\0\0\x02\x60\0\0\x07\x96\0\0\x08\x14\0\x02\x80\x02\0\0\x02\xf8\0\0\x07\x96\
\0\0\x08\x14\0\x03\x08\x02\0\0\x03\x98\0\0\x07\x96\0\0\x08\x14\0\x03\x90\x02\0\
\0\x04\x38\0\0\x07\x96\0\0\x08\x14\0\x04\x18\x02\0\0\x04\xe8\0\0\x07\x96\0\0\
\x08\x14\0\x04\xa8\x02\0\0\x05\xb8\0\0\x07\x96\0\0\x08\x14\0\x05\x44\x02\0\0\
\x06\x48\0\0\x07\x96\0\0\x08\x14\0\x07\x74\x02\0\0\x08\x4a\0\0\0\x02\0\0\0\0\0\
\0\x07\x96\0\0\x08\x14\0\x05\xec\x02\0\0\0\xa0\0\0\x07\x96\0\0\x08\x14\0\x06\
\x74\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\x7c\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xc0\0\0\0\0\0\0\x04\x08\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x06\xc8\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x06\xe0\0\0\0\0\0\0\x07\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\
\x38\0\0\0\0\0\0\x01\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\x25\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xd0\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xf0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x58\0\0\0\x09\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\xf8\0\0\0\0\0\0\0\xe0\0\0\0\x02\0\0\
\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x67\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\xd8\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x05\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x6e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x10\xf8\0\0\0\0\0\0\x0e\xc5\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x73\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x1f\xc0\0\0\0\0\0\0\x01\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_spin_lock *verifier_spin_lock::open(const struct bpf_object_open_opts *opts) { return verifier_spin_lock__open_opts(opts); }
struct verifier_spin_lock *verifier_spin_lock::open_and_load() { return verifier_spin_lock__open_and_load(); }
int verifier_spin_lock::load(struct verifier_spin_lock *skel) { return verifier_spin_lock__load(skel); }
int verifier_spin_lock::attach(struct verifier_spin_lock *skel) { return verifier_spin_lock__attach(skel); }
void verifier_spin_lock::detach(struct verifier_spin_lock *skel) { verifier_spin_lock__detach(skel); }
void verifier_spin_lock::destroy(struct verifier_spin_lock *skel) { verifier_spin_lock__destroy(skel); }
const void *verifier_spin_lock::elf_bytes(size_t *sz) { return verifier_spin_lock__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_spin_lock__assert(struct verifier_spin_lock *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_SPIN_LOCK_SKEL_H__ */
