/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_STACK_PTR_SKEL_H__
#define __VERIFIER_STACK_PTR_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_stack_ptr {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_array_48b;
	} maps;
	struct {
		struct bpf_program *ptr_to_stack_store_load;
		struct bpf_program *load_bad_alignment_on_off;
		struct bpf_program *load_bad_alignment_on_reg;
		struct bpf_program *load_out_of_bounds_low;
		struct bpf_program *load_out_of_bounds_high;
		struct bpf_program *to_stack_check_high_1;
		struct bpf_program *to_stack_check_high_2;
		struct bpf_program *to_stack_check_high_3;
		struct bpf_program *to_stack_check_high_4;
		struct bpf_program *to_stack_check_high_5;
		struct bpf_program *to_stack_check_high_6;
		struct bpf_program *to_stack_check_high_7;
		struct bpf_program *to_stack_check_low_1;
		struct bpf_program *to_stack_check_low_2;
		struct bpf_program *to_stack_check_low_3;
		struct bpf_program *to_stack_check_low_4;
		struct bpf_program *to_stack_check_low_5;
		struct bpf_program *to_stack_check_low_6;
		struct bpf_program *to_stack_check_low_7;
		struct bpf_program *stack_mixed_reg_k_1;
		struct bpf_program *stack_mixed_reg_k_2;
		struct bpf_program *stack_mixed_reg_k_3;
		struct bpf_program *ptr_to_stack_reg;
		struct bpf_program *stack_pointer_arithmetic;
		struct bpf_program *array_map_using_bpf_b;
	} progs;
	struct {
		struct bpf_link *ptr_to_stack_store_load;
		struct bpf_link *load_bad_alignment_on_off;
		struct bpf_link *load_bad_alignment_on_reg;
		struct bpf_link *load_out_of_bounds_low;
		struct bpf_link *load_out_of_bounds_high;
		struct bpf_link *to_stack_check_high_1;
		struct bpf_link *to_stack_check_high_2;
		struct bpf_link *to_stack_check_high_3;
		struct bpf_link *to_stack_check_high_4;
		struct bpf_link *to_stack_check_high_5;
		struct bpf_link *to_stack_check_high_6;
		struct bpf_link *to_stack_check_high_7;
		struct bpf_link *to_stack_check_low_1;
		struct bpf_link *to_stack_check_low_2;
		struct bpf_link *to_stack_check_low_3;
		struct bpf_link *to_stack_check_low_4;
		struct bpf_link *to_stack_check_low_5;
		struct bpf_link *to_stack_check_low_6;
		struct bpf_link *to_stack_check_low_7;
		struct bpf_link *stack_mixed_reg_k_1;
		struct bpf_link *stack_mixed_reg_k_2;
		struct bpf_link *stack_mixed_reg_k_3;
		struct bpf_link *ptr_to_stack_reg;
		struct bpf_link *stack_pointer_arithmetic;
		struct bpf_link *array_map_using_bpf_b;
	} links;

#ifdef __cplusplus
	static inline struct verifier_stack_ptr *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_stack_ptr *open_and_load();
	static inline int load(struct verifier_stack_ptr *skel);
	static inline int attach(struct verifier_stack_ptr *skel);
	static inline void detach(struct verifier_stack_ptr *skel);
	static inline void destroy(struct verifier_stack_ptr *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_stack_ptr__destroy(struct verifier_stack_ptr *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_stack_ptr__create_skeleton(struct verifier_stack_ptr *obj);

static inline struct verifier_stack_ptr *
verifier_stack_ptr__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_stack_ptr *obj;
	int err;

	obj = (struct verifier_stack_ptr *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_stack_ptr__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_stack_ptr__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_stack_ptr *
verifier_stack_ptr__open(void)
{
	return verifier_stack_ptr__open_opts(NULL);
}

static inline int
verifier_stack_ptr__load(struct verifier_stack_ptr *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_stack_ptr *
verifier_stack_ptr__open_and_load(void)
{
	struct verifier_stack_ptr *obj;
	int err;

	obj = verifier_stack_ptr__open();
	if (!obj)
		return NULL;
	err = verifier_stack_ptr__load(obj);
	if (err) {
		verifier_stack_ptr__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_stack_ptr__attach(struct verifier_stack_ptr *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_stack_ptr__detach(struct verifier_stack_ptr *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_stack_ptr__elf_bytes(size_t *sz);

static inline int
verifier_stack_ptr__create_skeleton(struct verifier_stack_ptr *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_stack_ptr";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_array_48b";
	s->maps[0].map = &obj->maps.map_array_48b;

	/* programs */
	s->prog_cnt = 25;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "ptr_to_stack_store_load";
	s->progs[0].prog = &obj->progs.ptr_to_stack_store_load;
	s->progs[0].link = &obj->links.ptr_to_stack_store_load;

	s->progs[1].name = "load_bad_alignment_on_off";
	s->progs[1].prog = &obj->progs.load_bad_alignment_on_off;
	s->progs[1].link = &obj->links.load_bad_alignment_on_off;

	s->progs[2].name = "load_bad_alignment_on_reg";
	s->progs[2].prog = &obj->progs.load_bad_alignment_on_reg;
	s->progs[2].link = &obj->links.load_bad_alignment_on_reg;

	s->progs[3].name = "load_out_of_bounds_low";
	s->progs[3].prog = &obj->progs.load_out_of_bounds_low;
	s->progs[3].link = &obj->links.load_out_of_bounds_low;

	s->progs[4].name = "load_out_of_bounds_high";
	s->progs[4].prog = &obj->progs.load_out_of_bounds_high;
	s->progs[4].link = &obj->links.load_out_of_bounds_high;

	s->progs[5].name = "to_stack_check_high_1";
	s->progs[5].prog = &obj->progs.to_stack_check_high_1;
	s->progs[5].link = &obj->links.to_stack_check_high_1;

	s->progs[6].name = "to_stack_check_high_2";
	s->progs[6].prog = &obj->progs.to_stack_check_high_2;
	s->progs[6].link = &obj->links.to_stack_check_high_2;

	s->progs[7].name = "to_stack_check_high_3";
	s->progs[7].prog = &obj->progs.to_stack_check_high_3;
	s->progs[7].link = &obj->links.to_stack_check_high_3;

	s->progs[8].name = "to_stack_check_high_4";
	s->progs[8].prog = &obj->progs.to_stack_check_high_4;
	s->progs[8].link = &obj->links.to_stack_check_high_4;

	s->progs[9].name = "to_stack_check_high_5";
	s->progs[9].prog = &obj->progs.to_stack_check_high_5;
	s->progs[9].link = &obj->links.to_stack_check_high_5;

	s->progs[10].name = "to_stack_check_high_6";
	s->progs[10].prog = &obj->progs.to_stack_check_high_6;
	s->progs[10].link = &obj->links.to_stack_check_high_6;

	s->progs[11].name = "to_stack_check_high_7";
	s->progs[11].prog = &obj->progs.to_stack_check_high_7;
	s->progs[11].link = &obj->links.to_stack_check_high_7;

	s->progs[12].name = "to_stack_check_low_1";
	s->progs[12].prog = &obj->progs.to_stack_check_low_1;
	s->progs[12].link = &obj->links.to_stack_check_low_1;

	s->progs[13].name = "to_stack_check_low_2";
	s->progs[13].prog = &obj->progs.to_stack_check_low_2;
	s->progs[13].link = &obj->links.to_stack_check_low_2;

	s->progs[14].name = "to_stack_check_low_3";
	s->progs[14].prog = &obj->progs.to_stack_check_low_3;
	s->progs[14].link = &obj->links.to_stack_check_low_3;

	s->progs[15].name = "to_stack_check_low_4";
	s->progs[15].prog = &obj->progs.to_stack_check_low_4;
	s->progs[15].link = &obj->links.to_stack_check_low_4;

	s->progs[16].name = "to_stack_check_low_5";
	s->progs[16].prog = &obj->progs.to_stack_check_low_5;
	s->progs[16].link = &obj->links.to_stack_check_low_5;

	s->progs[17].name = "to_stack_check_low_6";
	s->progs[17].prog = &obj->progs.to_stack_check_low_6;
	s->progs[17].link = &obj->links.to_stack_check_low_6;

	s->progs[18].name = "to_stack_check_low_7";
	s->progs[18].prog = &obj->progs.to_stack_check_low_7;
	s->progs[18].link = &obj->links.to_stack_check_low_7;

	s->progs[19].name = "stack_mixed_reg_k_1";
	s->progs[19].prog = &obj->progs.stack_mixed_reg_k_1;
	s->progs[19].link = &obj->links.stack_mixed_reg_k_1;

	s->progs[20].name = "stack_mixed_reg_k_2";
	s->progs[20].prog = &obj->progs.stack_mixed_reg_k_2;
	s->progs[20].link = &obj->links.stack_mixed_reg_k_2;

	s->progs[21].name = "stack_mixed_reg_k_3";
	s->progs[21].prog = &obj->progs.stack_mixed_reg_k_3;
	s->progs[21].link = &obj->links.stack_mixed_reg_k_3;

	s->progs[22].name = "ptr_to_stack_reg";
	s->progs[22].prog = &obj->progs.ptr_to_stack_reg;
	s->progs[22].link = &obj->links.ptr_to_stack_reg;

	s->progs[23].name = "stack_pointer_arithmetic";
	s->progs[23].prog = &obj->progs.stack_pointer_arithmetic;
	s->progs[23].link = &obj->links.stack_pointer_arithmetic;

	s->progs[24].name = "array_map_using_bpf_b";
	s->progs[24].prog = &obj->progs.array_map_using_bpf_b;
	s->progs[24].link = &obj->links.array_map_using_bpf_b;

	s->data = verifier_stack_ptr__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_stack_ptr__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\x28\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\x63\
\x6b\x65\x74\0\x74\x63\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x73\x74\x61\x63\x6b\x5f\x70\x74\x72\x2e\
\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x31\x5f\x31\0\x70\x74\x72\x5f\
\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x73\x74\x6f\x72\x65\x5f\x6c\x6f\x61\x64\0\
\x6c\x6f\x61\x64\x5f\x62\x61\x64\x5f\x61\x6c\x69\x67\x6e\x6d\x65\x6e\x74\x5f\
\x6f\x6e\x5f\x6f\x66\x66\0\x6c\x6f\x61\x64\x5f\x62\x61\x64\x5f\x61\x6c\x69\x67\
\x6e\x6d\x65\x6e\x74\x5f\x6f\x6e\x5f\x72\x65\x67\0\x6c\x6f\x61\x64\x5f\x6f\x75\
\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x6c\x6f\x77\0\x6c\x6f\x61\x64\
\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x68\x69\x67\x68\0\
\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x68\x69\x67\x68\
\x5f\x31\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x68\x69\
\x67\x68\x5f\x32\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\
\x68\x69\x67\x68\x5f\x33\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\
\x6b\x5f\x68\x69\x67\x68\x5f\x34\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\
\x65\x63\x6b\x5f\x68\x69\x67\x68\x5f\x35\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\
\x63\x68\x65\x63\x6b\x5f\x68\x69\x67\x68\x5f\x36\0\x74\x6f\x5f\x73\x74\x61\x63\
\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x68\x69\x67\x68\x5f\x37\0\x74\x6f\x5f\x73\x74\
\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\x31\0\x74\x6f\x5f\x73\
\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\x32\0\x74\x6f\x5f\
\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\x33\0\x74\x6f\
\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\x34\0\x74\
\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\x35\0\
\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\
\x36\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x6c\x6f\x77\
\x5f\x37\0\x73\x74\x61\x63\x6b\x5f\x6d\x69\x78\x65\x64\x5f\x72\x65\x67\x5f\x6b\
\x5f\x31\0\x73\x74\x61\x63\x6b\x5f\x6d\x69\x78\x65\x64\x5f\x72\x65\x67\x5f\x6b\
\x5f\x32\0\x73\x74\x61\x63\x6b\x5f\x6d\x69\x78\x65\x64\x5f\x72\x65\x67\x5f\x6b\
\x5f\x33\0\x70\x74\x72\x5f\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x67\0\
\x73\x74\x61\x63\x6b\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\x61\x72\x69\x74\x68\
\x6d\x65\x74\x69\x63\0\x61\x72\x72\x61\x79\x5f\x6d\x61\x70\x5f\x75\x73\x69\x6e\
\x67\x5f\x62\x70\x66\x5f\x62\0\x6d\x61\x70\x5f\x61\x72\x72\x61\x79\x5f\x34\x38\
\x62\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x29\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x03\0\0\0\0\0\0\
\x04\xc8\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x43\0\0\0\x04\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x04\0\0\0\
\0\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\x4d\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x30\0\0\0\x65\x12\0\0\x03\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x30\0\0\0\x7f\x12\
\0\0\x03\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x30\0\0\0\x99\x12\0\0\x03\0\0\0\0\0\0\
\0\x90\0\0\0\0\0\0\0\x30\0\0\0\xb0\x12\0\0\x03\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\
\x30\0\0\0\xc8\x12\0\0\x03\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x30\0\0\0\xde\x12\0\
\0\x03\0\0\0\0\0\0\x01\x20\0\0\0\0\0\0\0\x28\0\0\0\xf4\x12\0\0\x03\0\0\0\0\0\0\
\x01\x48\0\0\0\0\0\0\0\x30\0\0\x01\x0a\x12\0\0\x03\0\0\0\0\0\0\x01\x78\0\0\0\0\
\0\0\0\x30\0\0\x01\x20\x12\0\0\x03\0\0\0\0\0\0\x01\xa8\0\0\0\0\0\0\0\x30\0\0\
\x01\x36\x12\0\0\x03\0\0\0\0\0\0\x01\xd8\0\0\0\0\0\0\0\x30\0\0\x01\x4c\x12\0\0\
\x03\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\x38\0\0\x01\x62\x12\0\0\x03\0\0\0\0\0\0\
\x02\x40\0\0\0\0\0\0\0\x30\0\0\x01\x77\x12\0\0\x03\0\0\0\0\0\0\x02\x70\0\0\0\0\
\0\0\0\x30\0\0\x01\x8c\x12\0\0\x03\0\0\0\0\0\0\x02\xa0\0\0\0\0\0\0\0\x30\0\0\
\x01\xa1\x12\0\0\x03\0\0\0\0\0\0\x02\xd0\0\0\0\0\0\0\0\x30\0\0\x01\xb6\x12\0\0\
\x03\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\x30\0\0\x01\xcb\x12\0\0\x03\0\0\0\0\0\0\
\x03\x30\0\0\0\0\0\0\0\x30\0\0\x01\xe0\x12\0\0\x03\0\0\0\0\0\0\x03\x60\0\0\0\0\
\0\0\0\x38\0\0\x01\xf5\x12\0\0\x03\0\0\0\0\0\0\x03\x98\0\0\0\0\0\0\0\x40\0\0\
\x02\x09\x12\0\0\x03\0\0\0\0\0\0\x03\xd8\0\0\0\0\0\0\0\x68\0\0\x02\x1d\x12\0\0\
\x03\0\0\0\0\0\0\x04\x40\0\0\0\0\0\0\0\x40\0\0\x02\x31\x12\0\0\x03\0\0\0\0\0\0\
\x04\x80\0\0\0\0\0\0\0\x38\0\0\x02\x42\x12\0\0\x03\0\0\0\0\0\0\x04\xb8\0\0\0\0\
\0\0\0\x78\0\0\x02\x5b\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\0\0\x02\
\x71\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\x02\x7f\x11\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf6\
\xb7\0\0\0\xfa\xce\xb0\x0c\x7b\x10\0\x02\0\0\0\0\x79\x01\0\x02\0\0\0\0\x95\0\0\
\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf8\xb7\0\0\0\xfa\xce\
\xb0\x0c\x7b\x10\0\x02\0\0\0\0\x79\x01\0\x02\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\
\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xf6\xb7\0\0\0\xfa\xce\xb0\x0c\x7b\x10\0\
\x08\0\0\0\0\x79\x01\0\x08\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\
\x10\0\0\xff\xfe\xc7\x80\xb7\0\0\0\xfa\xce\xb0\x0c\x7b\x10\0\x08\0\0\0\0\x79\
\x01\0\x08\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\
\xff\xf8\xb7\0\0\0\xfa\xce\xb0\x0c\x7b\x10\0\x08\0\0\0\0\x79\x01\0\x08\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\
\0\0\x2a\x73\x10\0\0\0\0\0\0\x71\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\
\0\0\0\0\xb7\0\0\0\0\0\0\x2a\x73\x10\xff\xff\0\0\0\0\x71\x01\xff\xff\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x2a\
\x73\x10\xff\xff\0\0\0\0\x71\x01\xff\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\
\0\0\0\0\x07\x10\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x2a\x73\x10\0\0\0\0\0\0\x71\x01\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\x1f\xff\xff\xff\
\xb7\0\0\0\0\0\0\x2a\x73\x10\0\0\0\0\0\0\x71\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\x1f\xff\xff\xff\xb7\0\0\0\0\0\0\x2a\x73\x10\
\x7f\xff\0\0\0\0\x71\x01\x7f\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\
\x07\x10\0\0\x1f\xff\xff\xff\x07\x10\0\0\x1f\xff\xff\xff\xb7\0\0\0\0\0\0\x2a\
\x73\x10\x7f\xff\0\0\0\0\x71\x01\x7f\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\
\0\0\0\0\x07\x10\0\0\xff\xff\xfe\0\xb7\0\0\0\0\0\0\x2a\x73\x10\0\0\0\0\0\0\x71\
\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xfd\
\xff\xb7\0\0\0\0\0\0\x2a\x73\x10\0\x01\0\0\0\0\x71\x01\0\x01\0\0\0\0\x95\0\0\0\
\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xfd\xff\xb7\0\0\0\0\0\0\x2a\
\x73\x10\0\0\0\0\0\0\x71\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\
\x07\x10\0\0\x80\0\0\0\xb7\0\0\0\0\0\0\x2a\x73\x10\0\0\0\0\0\0\x71\x01\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xe0\0\0\x01\xb7\0\0\0\0\
\0\0\x2a\x73\x10\0\0\0\0\0\0\x71\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\
\0\0\0\0\x07\x10\0\0\xe0\0\0\x01\xb7\0\0\0\0\0\0\x2a\x73\x10\x80\0\0\0\0\0\x71\
\x01\x80\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xe0\0\0\
\x01\x07\x10\0\0\xe0\0\0\x01\xb7\0\0\0\0\0\0\x2a\x73\x10\x80\0\0\0\0\0\x71\x01\
\x80\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\
\xfd\xb7\x20\0\0\xff\xff\xff\xfd\x0f\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x2a\x73\
\x10\0\0\0\0\0\0\x71\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\
\xa0\xff\xf8\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\xa0\xff\xf0\0\0\0\0\xbf\x1a\0\0\0\0\
\0\0\x07\x10\0\0\xff\xff\xff\xfd\xb7\x20\0\0\xff\xff\xff\xfd\x0f\x12\0\0\0\0\0\
\0\xb7\0\0\0\0\0\0\x2a\x73\x10\0\0\0\0\0\0\xbf\x5a\0\0\0\0\0\0\x71\x05\xff\xfa\
\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\xfd\xb7\
\x20\0\0\xff\xff\xff\xfd\x0f\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x2a\x73\x10\0\0\0\
\0\0\0\xbf\x02\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\xb7\x20\0\0\
\xff\xff\xff\xfd\x0f\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\x2a\x73\x10\0\0\0\0\0\0\
\x71\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\x04\x05\0\0\0\0\0\0\0\
\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\xff\xff\xff\xf6\x07\x70\0\0\xff\xff\xff\xf6\
\xbf\x27\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x63\x20\0\x04\0\0\0\
\0\xbf\x27\0\0\0\0\0\0\x07\x20\0\0\0\0\0\x08\xb7\0\0\0\0\0\0\0\x63\x20\0\x04\0\
\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\
\xff\xff\xf8\xb7\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x55\0\0\x02\0\0\0\0\xb7\0\0\0\0\0\0\x02\x95\0\0\
\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\xbf\x9a\0\0\0\0\0\0\xb7\x20\0\0\xff\xff\xff\xff\
\xb7\x30\0\0\xff\xff\xff\xff\xb7\x40\0\0\xff\xff\xff\xff\xb7\x50\0\0\xff\xff\
\xff\xff\xb7\x60\0\0\xff\xff\xff\xff\xb7\x70\0\0\xff\xff\xff\xff\xb7\x80\0\0\
\xff\xff\xff\xff\x73\x1a\0\0\0\0\0\0\x71\x21\0\0\0\0\0\0\x73\x19\0\0\0\0\0\0\
\x71\x31\0\0\0\0\0\0\x1d\x23\0\x02\0\0\0\0\xb7\0\0\0\0\0\0\x01\x95\0\0\0\0\0\0\
\0\xb7\0\0\0\0\0\0\x2a\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x20\0\
\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x09\x08\0\0\x09\x08\0\0\x0c\x09\0\
\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\0\0\0\0\0\0\x04\
\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x09\0\0\0\
\x19\x04\0\0\x02\0\0\0\x30\0\0\0\x22\0\0\0\x0a\0\0\0\0\0\0\0\x28\0\0\0\x0b\0\0\
\0\x20\0\0\0\x2c\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x0b\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x39\0\0\0\x01\0\0\
\0\0\0\0\0\x3e\0\0\0\x05\0\0\0\x40\0\0\0\x4a\0\0\0\x07\0\0\0\x80\0\0\0\x4e\0\0\
\0\x08\0\0\0\xc0\0\0\0\x54\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\0\0\x0d\0\0\0\0\0\
\0\0\0\0\0\x62\x0c\0\0\x01\0\0\0\x0e\0\0\0\x7a\x11\0\0\0\0\0\0\x0f\xff\xff\xff\
\xff\0\0\0\xab\x11\0\0\0\0\0\0\x0f\xff\xff\xff\xff\0\0\0\xc7\x11\0\0\0\0\0\0\
\x0f\xff\xff\xff\xff\0\0\0\xea\x11\0\0\0\0\0\0\x0f\xff\xff\xff\xff\0\0\x01\x09\
\x0c\0\0\x01\0\0\0\x0e\0\0\x01\x23\x11\0\0\0\0\0\0\x14\xff\xff\xff\xff\0\0\x01\
\x6b\x11\0\0\0\0\0\0\x14\xff\xff\xff\xff\0\0\x01\x87\x11\0\0\0\0\0\0\x14\xff\
\xff\xff\xff\0\0\x01\xc9\x11\0\0\0\0\0\0\x14\xff\xff\xff\xff\0\0\x01\xec\x0c\0\
\0\x01\0\0\0\x0e\0\0\x02\x06\x11\0\0\0\0\0\0\x19\xff\xff\xff\xff\0\0\x01\x6b\
\x11\0\0\0\0\0\0\x19\xff\xff\xff\xff\0\0\x02\x4e\x11\0\0\0\0\0\0\x19\xff\xff\
\xff\xff\0\0\x01\xc9\x11\0\0\0\0\0\0\x19\xff\xff\xff\xff\0\0\x02\x91\x0c\0\0\
\x01\0\0\0\x0e\0\0\x02\xa8\x11\0\0\0\0\0\0\x1e\xff\xff\xff\xff\0\0\x01\x6b\x11\
\0\0\0\0\0\0\x1e\xff\xff\xff\xff\0\0\x02\xed\x11\0\0\0\0\0\0\x1e\xff\xff\xff\
\xff\0\0\x03\x31\x11\0\0\0\0\0\0\x1e\xff\xff\xff\xff\0\0\x03\x7e\x0c\0\0\x01\0\
\0\0\x0e\0\0\x03\x96\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x01\x6b\x11\0\0\0\
\0\0\0\x23\xff\xff\xff\xff\0\0\x03\xdc\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\
\x01\xc9\x11\0\0\0\0\0\0\x23\xff\xff\xff\xff\0\0\x04\x1b\x0c\0\0\x01\0\0\0\x0e\
\0\0\x04\x31\x11\0\0\0\0\0\0\x28\xff\xff\xff\xff\0\0\0\xab\x11\0\0\0\0\0\0\x28\
\xff\xff\xff\xff\0\0\0\xc7\x11\0\0\0\0\0\0\x28\xff\xff\xff\xff\0\0\x04\x64\x11\
\0\0\0\0\0\0\x28\xff\xff\xff\xff\0\0\x04\x7b\x0c\0\0\x01\0\0\0\x0e\0\0\x04\x91\
\x11\0\0\0\0\0\0\x2d\xff\xff\xff\xff\0\0\0\xab\x11\0\0\0\0\0\0\x2d\xff\xff\xff\
\xff\0\0\0\xc7\x11\0\0\0\0\0\0\x2d\xff\xff\xff\xff\0\0\x04\x64\x11\0\0\0\0\0\0\
\x2d\xff\xff\xff\xff\0\0\x04\xc4\x0c\0\0\x01\0\0\0\x0e\0\0\x04\xda\x11\0\0\0\0\
\0\0\x32\xff\xff\xff\xff\0\0\0\xab\x11\0\0\0\0\0\0\x32\xff\xff\xff\xff\0\0\x01\
\xc9\x11\0\0\0\0\0\0\x32\xff\xff\xff\xff\0\0\x03\x31\x11\0\0\0\0\0\0\x32\xff\
\xff\xff\xff\0\0\x04\x64\x11\0\0\0\0\0\0\x32\xff\xff\xff\xff\0\0\x05\x0d\x0c\0\
\0\x01\0\0\0\x0e\0\0\x05\x23\x11\0\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\x01\x6b\
\x11\0\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\x05\x56\x11\0\0\0\0\0\0\x38\xff\xff\
\xff\xff\0\0\x03\x31\x11\0\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\x05\x95\x0c\0\0\
\x01\0\0\0\x0e\0\0\x05\xab\x11\0\0\0\0\0\0\x3d\xff\xff\xff\xff\0\0\x01\x6b\x11\
\0\0\0\0\0\0\x3d\xff\xff\xff\xff\0\0\x05\xde\x11\0\0\0\0\0\0\x3d\xff\xff\xff\
\xff\0\0\x03\x31\x11\0\0\0\0\0\0\x3d\xff\xff\xff\xff\0\0\x06\x10\x0c\0\0\x01\0\
\0\0\x0e\0\0\x06\x26\x11\0\0\0\0\0\0\x42\xff\xff\xff\xff\0\0\x01\x6b\x11\0\0\0\
\0\0\0\x42\xff\xff\xff\xff\0\0\x06\x59\x11\0\0\0\0\0\0\x42\xff\xff\xff\xff\0\0\
\x03\x31\x11\0\0\0\0\0\0\x42\xff\xff\xff\xff\0\0\x06\x88\x0c\0\0\x01\0\0\0\x0e\
\0\0\x06\x9e\x11\0\0\0\0\0\0\x47\xff\xff\xff\xff\0\0\x01\x6b\x11\0\0\0\0\0\0\
\x47\xff\xff\xff\xff\0\0\x06\xd1\x11\0\0\0\0\0\0\x47\xff\xff\xff\xff\0\0\x03\
\x31\x11\0\0\0\0\0\0\x47\xff\xff\xff\xff\0\0\x06\xfb\x0c\0\0\x01\0\0\0\x0e\0\0\
\x07\x10\x11\0\0\0\0\0\0\x4c\xff\xff\xff\xff\0\0\0\xab\x11\0\0\0\0\0\0\x4c\xff\
\xff\xff\xff\0\0\0\xc7\x11\0\0\0\0\0\0\x4c\xff\xff\xff\xff\0\0\x04\x64\x11\0\0\
\0\0\0\0\x4c\xff\xff\xff\xff\0\0\x07\x42\x0c\0\0\x01\0\0\0\x0e\0\0\x07\x57\x11\
\0\0\0\0\0\0\x51\xff\xff\xff\xff\0\0\0\xab\x11\0\0\0\0\0\0\x51\xff\xff\xff\xff\
\0\0\x01\xc9\x11\0\0\0\0\0\0\x51\xff\xff\xff\xff\0\0\x03\x31\x11\0\0\0\0\0\0\
\x51\xff\xff\xff\xff\0\0\x04\x64\x11\0\0\0\0\0\0\x51\xff\xff\xff\xff\0\0\x07\
\x89\x0c\0\0\x01\0\0\0\x0e\0\0\x07\x9e\x11\0\0\0\0\0\0\x57\xff\xff\xff\xff\0\0\
\x01\x6b\x11\0\0\0\0\0\0\x57\xff\xff\xff\xff\0\0\x07\xd0\x11\0\0\0\0\0\0\x57\
\xff\xff\xff\xff\0\0\x03\x31\x11\0\0\0\0\0\0\x57\xff\xff\xff\xff\0\0\x08\x12\
\x0c\0\0\x01\0\0\0\x0e\0\0\x08\x27\x11\0\0\0\0\0\0\x5c\xff\xff\xff\xff\0\0\x01\
\x6b\x11\0\0\0\0\0\0\x5c\xff\xff\xff\xff\0\0\x08\x59\x11\0\0\0\0\0\0\x5c\xff\
\xff\xff\xff\0\0\x01\xc9\x11\0\0\0\0\0\0\x5c\xff\xff\xff\xff\0\0\x08\x89\x0c\0\
\0\x01\0\0\0\x0e\0\0\x08\x9e\x11\0\0\0\0\0\0\x61\xff\xff\xff\xff\0\0\x01\x6b\
\x11\0\0\0\0\0\0\x61\xff\xff\xff\xff\0\0\x06\x59\x11\0\0\0\0\0\0\x61\xff\xff\
\xff\xff\0\0\x03\x31\x11\0\0\0\0\0\0\x61\xff\xff\xff\xff\0\0\x08\xd0\x0c\0\0\
\x01\0\0\0\x0e\0\0\x08\xe5\x11\0\0\0\0\0\0\x66\xff\xff\xff\xff\0\0\x01\x6b\x11\
\0\0\0\0\0\0\x66\xff\xff\xff\xff\0\0\x06\x59\x11\0\0\0\0\0\0\x66\xff\xff\xff\
\xff\0\0\x03\x31\x11\0\0\0\0\0\0\x66\xff\xff\xff\xff\0\0\x09\x17\x0c\0\0\x01\0\
\0\0\x0e\0\0\x09\x2c\x11\0\0\0\0\0\0\x6b\xff\xff\xff\xff\0\0\x01\x6b\x11\0\0\0\
\0\0\0\x6b\xff\xff\xff\xff\0\0\x06\xd1\x11\0\0\0\0\0\0\x6b\xff\xff\xff\xff\0\0\
\x03\x31\x11\0\0\0\0\0\0\x6b\xff\xff\xff\xff\0\0\x09\x5e\x0c\0\0\x01\0\0\0\x0e\
\0\0\x09\x72\x11\0\0\0\0\0\0\x70\xff\xff\xff\xff\0\0\0\xab\x11\0\0\0\0\0\0\x70\
\xff\xff\xff\xff\0\0\0\xc7\x11\0\0\0\0\0\0\x70\xff\xff\xff\xff\0\0\x04\x64\x11\
\0\0\0\0\0\0\x70\xff\xff\xff\xff\0\0\x09\xa7\x0c\0\0\x01\0\0\0\x0e\0\0\x09\xbb\
\x11\0\0\0\0\0\0\x75\xff\xff\xff\xff\0\0\0\xab\x11\0\0\0\0\0\0\x75\xff\xff\xff\
\xff\0\0\0\xc7\x11\0\0\0\0\0\0\x75\xff\xff\xff\xff\0\0\x04\x64\x11\0\0\0\0\0\0\
\x75\xff\xff\xff\xff\0\0\x09\xf0\x0c\0\0\x01\0\0\0\x0e\0\0\x0a\x04\x11\0\0\0\0\
\0\0\x7a\xff\xff\xff\xff\0\0\0\xab\x11\0\0\0\0\0\0\x7a\xff\xff\xff\xff\0\0\0\
\xc7\x11\0\0\0\0\0\0\x7a\xff\xff\xff\xff\0\0\x0a\x39\x11\0\0\0\0\0\0\x7a\xff\
\xff\xff\xff\0\0\x0a\x50\x0c\0\0\x01\0\0\0\x0e\0\0\x0a\x61\x11\0\0\0\0\0\0\x7f\
\xff\xff\xff\xff\0\0\0\xab\x11\0\0\0\0\0\0\x7f\xff\xff\xff\xff\0\0\0\xc7\x11\0\
\0\0\0\0\0\x7f\xff\xff\xff\xff\0\0\x04\x64\x11\0\0\0\0\0\0\x7f\xff\xff\xff\xff\
\0\0\x0a\x8b\x0c\0\0\x01\0\0\0\x0e\0\0\x0a\xa4\x11\0\0\0\0\0\0\x84\xff\xff\xff\
\xff\0\0\0\xab\x11\0\0\0\0\0\0\x84\xff\xff\xff\xff\0\0\0\xc7\x11\0\0\0\0\0\0\
\x84\xff\xff\xff\xff\0\0\x0a\xd6\x11\0\0\0\0\0\0\x84\xff\xff\xff\xff\0\0\x0a\
\xec\x0c\0\0\x01\0\0\0\x0e\0\0\x0b\x02\x11\0\0\0\0\0\0\x89\xff\xff\xff\xff\0\0\
\0\xab\x11\0\0\0\0\0\0\x89\xff\xff\xff\xff\0\0\x04\x64\x11\0\0\0\0\0\0\x89\xff\
\xff\xff\xff\0\0\x0b\x4e\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\x8d\0\0\0\x04\0\0\0\x04\0\0\x0b\x53\x0e\0\0\0\0\0\0\x8e\0\0\0\x01\0\
\0\x0b\xf1\x0f\0\0\x01\0\0\0\x20\0\0\0\x0d\0\0\0\0\0\0\0\x20\0\0\x0b\xf7\x0f\0\
\0\x01\0\0\0\x04\0\0\0\x8f\0\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x65\x73\x74\
\x5f\x76\x61\x6c\0\x69\x6e\x64\x65\x78\0\x66\x6f\x6f\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\
\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x61\x72\x72\
\x61\x79\x5f\x34\x38\x62\0\x70\x74\x72\x5f\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\
\x73\x74\x6f\x72\x65\x5f\x6c\x6f\x61\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\
\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x73\x74\x6f\x72\x65\x2f\x6c\x6f\x61\
\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\x5f\x75\
\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\
\x65\x74\x76\x61\x6c\x3d\x30\x78\x66\x61\x63\x65\x62\x30\x30\x63\0\x6c\x6f\x61\
\x64\x5f\x62\x61\x64\x5f\x61\x6c\x69\x67\x6e\x6d\x65\x6e\x74\x5f\x6f\x6e\x5f\
\x6f\x66\x66\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\x41\
\x43\x4b\x20\x73\x74\x6f\x72\x65\x2f\x6c\x6f\x61\x64\x20\x2d\x20\x62\x61\x64\
\x20\x61\x6c\x69\x67\x6e\x6d\x65\x6e\x74\x20\x6f\x6e\x20\x6f\x66\x66\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\
\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x69\x73\x61\x6c\x69\x67\x6e\
\x65\x64\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x20\x6f\x66\x66\
\x20\x30\x2b\x2d\x38\x2b\x32\x20\x73\x69\x7a\x65\x20\x38\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\
\x75\x72\x65\x5f\x75\x6e\x70\x72\x69\x76\0\x6c\x6f\x61\x64\x5f\x62\x61\x64\x5f\
\x61\x6c\x69\x67\x6e\x6d\x65\x6e\x74\x5f\x6f\x6e\x5f\x72\x65\x67\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x73\x74\x6f\
\x72\x65\x2f\x6c\x6f\x61\x64\x20\x2d\x20\x62\x61\x64\x20\x61\x6c\x69\x67\x6e\
\x6d\x65\x6e\x74\x20\x6f\x6e\x20\x72\x65\x67\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x69\x73\
\x61\x6c\x69\x67\x6e\x65\x64\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\
\x73\x20\x6f\x66\x66\x20\x30\x2b\x2d\x31\x30\x2b\x38\x20\x73\x69\x7a\x65\x20\
\x38\0\x6c\x6f\x61\x64\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\x6f\x75\x6e\x64\x73\
\x5f\x6c\x6f\x77\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\
\x41\x43\x4b\x20\x73\x74\x6f\x72\x65\x2f\x6c\x6f\x61\x64\x20\x2d\x20\x6f\x75\
\x74\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\x73\x20\x6c\x6f\x77\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x77\x72\x69\x74\x65\x20\x74\x6f\x20\x73\
\x74\x61\x63\x6b\x20\x52\x31\x20\x6f\x66\x66\x3d\x2d\x37\x39\x39\x39\x32\x20\
\x73\x69\x7a\x65\x3d\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x52\
\x31\x20\x73\x74\x61\x63\x6b\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x61\x72\x69\
\x74\x68\x6d\x65\x74\x69\x63\x20\x67\x6f\x65\x73\x20\x6f\x75\x74\x20\x6f\x66\
\x20\x72\x61\x6e\x67\x65\0\x6c\x6f\x61\x64\x5f\x6f\x75\x74\x5f\x6f\x66\x5f\x62\
\x6f\x75\x6e\x64\x73\x5f\x68\x69\x67\x68\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\
\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x73\x74\x6f\x72\x65\x2f\x6c\x6f\x61\
\x64\x20\x2d\x20\x6f\x75\x74\x20\x6f\x66\x20\x62\x6f\x75\x6e\x64\x73\x20\x68\
\x69\x67\x68\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x77\x72\x69\
\x74\x65\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\x52\x31\x20\x6f\x66\x66\x3d\
\x30\x20\x73\x69\x7a\x65\x3d\x38\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\
\x65\x63\x6b\x5f\x68\x69\x67\x68\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\
\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x63\x68\x65\x63\x6b\x20\x68\x69\x67\
\x68\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\
\x76\x61\x6c\x3d\x34\x32\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\
\x6b\x5f\x68\x69\x67\x68\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\
\x4f\x5f\x53\x54\x41\x43\x4b\x20\x63\x68\x65\x63\x6b\x20\x68\x69\x67\x68\x20\
\x32\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x68\x69\x67\
\x68\x5f\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\x41\
\x43\x4b\x20\x63\x68\x65\x63\x6b\x20\x68\x69\x67\x68\x20\x33\0\x74\x6f\x5f\x73\
\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x68\x69\x67\x68\x5f\x34\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x63\x68\
\x65\x63\x6b\x20\x68\x69\x67\x68\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\x6e\x76\x61\
\x6c\x69\x64\x20\x77\x72\x69\x74\x65\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\
\x52\x31\x20\x6f\x66\x66\x3d\x30\x20\x73\x69\x7a\x65\x3d\x31\0\x74\x6f\x5f\x73\
\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x68\x69\x67\x68\x5f\x35\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x63\x68\
\x65\x63\x6b\x20\x68\x69\x67\x68\x20\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x69\x6e\x76\x61\
\x6c\x69\x64\x20\x77\x72\x69\x74\x65\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\
\x52\x31\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x68\x69\
\x67\x68\x5f\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\
\x41\x43\x4b\x20\x63\x68\x65\x63\x6b\x20\x68\x69\x67\x68\x20\x36\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x77\x72\x69\x74\x65\x20\x74\x6f\x20\
\x73\x74\x61\x63\x6b\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\
\x5f\x68\x69\x67\x68\x5f\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\
\x5f\x53\x54\x41\x43\x4b\x20\x63\x68\x65\x63\x6b\x20\x68\x69\x67\x68\x20\x37\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x66\x70\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x6f\x66\x66\
\x73\x65\x74\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x6c\
\x6f\x77\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\
\x41\x43\x4b\x20\x63\x68\x65\x63\x6b\x20\x6c\x6f\x77\x20\x31\0\x74\x6f\x5f\x73\
\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\x32\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x63\x68\x65\
\x63\x6b\x20\x6c\x6f\x77\x20\x32\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\
\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\
\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x63\x68\x65\x63\x6b\x20\x6c\x6f\x77\x20\
\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x77\x72\x69\x74\x65\
\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\x52\x31\x20\x6f\x66\x66\x3d\x2d\x35\
\x31\x33\x20\x73\x69\x7a\x65\x3d\x31\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\
\x68\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\
\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x63\x68\x65\x63\x6b\x20\x6c\x6f\x77\
\x20\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x6d\x61\x74\x68\x20\x62\x65\x74\x77\x65\x65\x6e\
\x20\x66\x70\x20\x70\x6f\x69\x6e\x74\x65\x72\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\
\x5f\x63\x68\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\
\x54\x52\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x63\x68\x65\x63\x6b\x20\x6c\
\x6f\x77\x20\x35\0\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\
\x6c\x6f\x77\x5f\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\
\x54\x41\x43\x4b\x20\x63\x68\x65\x63\x6b\x20\x6c\x6f\x77\x20\x36\0\x74\x6f\x5f\
\x73\x74\x61\x63\x6b\x5f\x63\x68\x65\x63\x6b\x5f\x6c\x6f\x77\x5f\x37\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x63\x68\
\x65\x63\x6b\x20\x6c\x6f\x77\x20\x37\0\x73\x74\x61\x63\x6b\x5f\x6d\x69\x78\x65\
\x64\x5f\x72\x65\x67\x5f\x6b\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\
\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x6d\x69\x78\x65\x64\x20\x72\x65\x67\x2f\
\x6b\x2c\x20\x31\0\x73\x74\x61\x63\x6b\x5f\x6d\x69\x78\x65\x64\x5f\x72\x65\x67\
\x5f\x6b\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\
\x41\x43\x4b\x20\x6d\x69\x78\x65\x64\x20\x72\x65\x67\x2f\x6b\x2c\x20\x32\0\x73\
\x74\x61\x63\x6b\x5f\x6d\x69\x78\x65\x64\x5f\x72\x65\x67\x5f\x6b\x5f\x33\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x6d\
\x69\x78\x65\x64\x20\x72\x65\x67\x2f\x6b\x2c\x20\x33\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x2d\x33\0\x70\x74\x72\
\x5f\x74\x6f\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x67\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\x41\x43\x4b\x20\x72\x65\x67\0\x73\x74\x61\
\x63\x6b\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\x61\x72\x69\x74\x68\x6d\x65\x74\
\x69\x63\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x73\x74\x61\x63\x6b\x20\x70\x6f\x69\x6e\x74\
\x65\x72\x20\x61\x72\x69\x74\x68\x6d\x65\x74\x69\x63\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x61\x72\x72\x61\
\x79\x5f\x6d\x61\x70\x5f\x75\x73\x69\x6e\x67\x5f\x62\x70\x66\x5f\x62\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x73\x74\x6f\x72\x65\x20\x50\x54\x52\x5f\x54\x4f\x5f\x53\x54\
\x41\x43\x4b\x20\x69\x6e\x20\x52\x31\x30\x20\x74\x6f\x20\x61\x72\x72\x61\x79\
\x20\x6d\x61\x70\x20\x75\x73\x69\x6e\x67\x20\x42\x50\x46\x5f\x42\0\x63\x68\x61\
\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x32\x37\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x32\x37\x2e\x65\x6c\x39\x2e\x73\
\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x73\x74\x61\x63\x6b\x5f\x70\x74\x72\
\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\
\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\
\x6f\x63\x6b\x65\x74\0\x74\x63\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\
\0\0\0\xdc\0\0\0\xdc\0\0\x01\xa4\0\0\x02\x80\0\0\0\0\0\0\0\x08\0\0\x0b\xff\0\0\
\0\x18\0\0\0\0\0\0\0\x0f\0\0\0\x30\0\0\0\x14\0\0\0\x60\0\0\0\x19\0\0\0\x90\0\0\
\0\x1e\0\0\0\xc0\0\0\0\x23\0\0\0\xf0\0\0\0\x28\0\0\x01\x20\0\0\0\x2d\0\0\x01\
\x48\0\0\0\x32\0\0\x01\x78\0\0\0\x38\0\0\x01\xa8\0\0\0\x3d\0\0\x01\xd8\0\0\0\
\x42\0\0\x02\x08\0\0\0\x47\0\0\x02\x40\0\0\0\x4c\0\0\x02\x70\0\0\0\x51\0\0\x02\
\xa0\0\0\0\x57\0\0\x02\xd0\0\0\0\x5c\0\0\x03\0\0\0\0\x61\0\0\x03\x30\0\0\0\x66\
\0\0\x03\x60\0\0\0\x6b\0\0\x03\x98\0\0\0\x70\0\0\x03\xd8\0\0\0\x75\0\0\x04\x40\
\0\0\0\x7a\0\0\x04\x80\0\0\0\x7f\0\0\x04\xb8\0\0\0\x84\0\0\x0c\x06\0\0\0\x01\0\
\0\0\0\0\0\0\x89\0\0\0\x10\0\0\x0b\xff\0\0\0\x18\0\0\0\0\0\0\x0b\x5c\0\0\x0b\
\xda\0\0\x70\x02\0\0\0\x30\0\0\x0b\x5c\0\0\x0b\xda\0\0\xb0\x02\0\0\0\x60\0\0\
\x0b\x5c\0\0\x0b\xda\0\0\xf0\x02\0\0\0\x90\0\0\x0b\x5c\0\0\x0b\xda\0\x01\x30\
\x02\0\0\0\xc0\0\0\x0b\x5c\0\0\x0b\xda\0\x01\x70\x02\0\0\0\xf0\0\0\x0b\x5c\0\0\
\x0b\xda\0\x01\xac\x02\0\0\x01\x20\0\0\x0b\x5c\0\0\x0b\xda\0\x01\xe8\x02\0\0\
\x01\x48\0\0\x0b\x5c\0\0\x0b\xda\0\x02\x28\x02\0\0\x01\x78\0\0\x0b\x5c\0\0\x0b\
\xda\0\x02\x68\x02\0\0\x01\xa8\0\0\x0b\x5c\0\0\x0b\xda\0\x02\xa8\x02\0\0\x01\
\xd8\0\0\x0b\x5c\0\0\x0b\xda\0\x02\xf0\x02\0\0\x02\x08\0\0\x0b\x5c\0\0\x0b\xda\
\0\x03\x3c\x02\0\0\x02\x40\0\0\x0b\x5c\0\0\x0b\xda\0\x03\x88\x02\0\0\x02\x70\0\
\0\x0b\x5c\0\0\x0b\xda\0\x03\xcc\x02\0\0\x02\xa0\0\0\x0b\x5c\0\0\x0b\xda\0\x04\
\x0c\x02\0\0\x02\xd0\0\0\x0b\x5c\0\0\x0b\xda\0\x04\x4c\x02\0\0\x03\0\0\0\x0b\
\x5c\0\0\x0b\xda\0\x04\x94\x02\0\0\x03\x30\0\0\x0b\x5c\0\0\x0b\xda\0\x04\xdc\
\x02\0\0\x03\x60\0\0\x0b\x5c\0\0\x0b\xda\0\x05\x28\x02\0\0\x03\x98\0\0\x0b\x5c\
\0\0\x0b\xda\0\x05\x74\x02\0\0\x03\xd8\0\0\x0b\x5c\0\0\x0b\xda\0\x05\xb8\x02\0\
\0\x04\x40\0\0\x0b\x5c\0\0\x0b\xda\0\x06\x10\x02\0\0\x04\x80\0\0\x0b\x5c\0\0\
\x0b\xda\0\x06\x54\x02\0\0\x04\xb8\0\0\x0b\x5c\0\0\x0b\xda\0\x06\x94\x02\0\0\
\x0c\x06\0\0\0\x01\0\0\0\0\0\0\x0b\x5c\0\0\x0b\xda\0\x06\xf4\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\x9d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x02\xe0\0\0\0\0\0\0\x03\x30\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x06\x10\0\0\0\0\0\0\x05\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x40\0\0\
\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\
\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x20\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x40\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x88\0\0\0\x09\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x48\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x8f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x0c\x58\0\0\0\0\0\0\x15\x29\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\x02\x94\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x21\x88\0\0\0\0\0\0\x02\xa0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_stack_ptr *verifier_stack_ptr::open(const struct bpf_object_open_opts *opts) { return verifier_stack_ptr__open_opts(opts); }
struct verifier_stack_ptr *verifier_stack_ptr::open_and_load() { return verifier_stack_ptr__open_and_load(); }
int verifier_stack_ptr::load(struct verifier_stack_ptr *skel) { return verifier_stack_ptr__load(skel); }
int verifier_stack_ptr::attach(struct verifier_stack_ptr *skel) { return verifier_stack_ptr__attach(skel); }
void verifier_stack_ptr::detach(struct verifier_stack_ptr *skel) { verifier_stack_ptr__detach(skel); }
void verifier_stack_ptr::destroy(struct verifier_stack_ptr *skel) { verifier_stack_ptr__destroy(skel); }
const void *verifier_stack_ptr::elf_bytes(size_t *sz) { return verifier_stack_ptr__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_stack_ptr__assert(struct verifier_stack_ptr *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_STACK_PTR_SKEL_H__ */
